"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var inputMethod = {
    meta: { name: 'Ethiopic(Language Neutral)', regions: ['ET'] },
    inputMethod: {
        h: {
            value: 'ህ',
            next: {
                e: { value: 'ሀ', next: null },
                E: { value: 'ሀ', next: null },
                u: {
                    value: 'ሁ',
                    next: {
                        e: { value: 'ኈ', next: null },
                        E: { value: 'ኈ', next: null },
                        u: { value: 'ኍ', next: null },
                        U: { value: 'ኍ', next: null },
                        i: { value: 'ኊ', next: { e: { value: 'ኌ', next: null }, E: { value: 'ኌ', next: null } } },
                        I: { value: 'ኊ', next: { e: { value: 'ኌ', next: null }, E: { value: 'ኌ', next: null } } },
                        a: { value: 'ኋ', next: null },
                        A: { value: 'ኋ', next: null },
                    },
                },
                U: {
                    value: 'ሁ',
                    next: {
                        e: { value: 'ኈ', next: null },
                        E: { value: 'ኈ', next: null },
                        u: { value: 'ኍ', next: null },
                        U: { value: 'ኍ', next: null },
                        i: { value: 'ኊ', next: { e: { value: 'ኌ', next: null }, E: { value: 'ኌ', next: null } } },
                        I: { value: 'ኊ', next: { e: { value: 'ኌ', next: null }, E: { value: 'ኌ', next: null } } },
                        a: { value: 'ኋ', next: null },
                        A: { value: 'ኋ', next: null },
                    },
                },
                i: { value: 'ሂ', next: { e: { value: 'ሄ', next: null }, E: { value: 'ሄ', next: null } } },
                I: { value: 'ሂ', next: { e: { value: 'ሄ', next: null }, E: { value: 'ሄ', next: null } } },
                a: { value: 'ሃ', next: null },
                A: { value: 'ሃ', next: null },
                o: { value: 'ሆ', next: { a: { value: 'ሇ', next: null }, A: { value: 'ሇ', next: null } } },
                O: { value: 'ሆ', next: { a: { value: 'ሇ', next: null }, A: { value: 'ሇ', next: null } } },
                h: {
                    value: 'ኅ',
                    next: {
                        e: { value: 'ኀ', next: null },
                        E: { value: 'ኀ', next: null },
                        u: {
                            value: 'ኁ',
                            next: {
                                e: { value: 'ኈ', next: null },
                                E: { value: 'ኈ', next: null },
                                u: { value: 'ኍ', next: null },
                                U: { value: 'ኍ', next: null },
                                i: {
                                    value: 'ኊ',
                                    next: { e: { value: 'ኌ', next: null }, E: { value: 'ኌ', next: null } },
                                },
                                I: {
                                    value: 'ኊ',
                                    next: { e: { value: 'ኌ', next: null }, E: { value: 'ኌ', next: null } },
                                },
                                a: { value: 'ኋ', next: null },
                                A: { value: 'ኋ', next: null },
                            },
                        },
                        U: {
                            value: 'ኁ',
                            next: {
                                e: { value: 'ኈ', next: null },
                                E: { value: 'ኈ', next: null },
                                u: { value: 'ኍ', next: null },
                                U: { value: 'ኍ', next: null },
                                i: {
                                    value: 'ኊ',
                                    next: { e: { value: 'ኌ', next: null }, E: { value: 'ኌ', next: null } },
                                },
                                I: {
                                    value: 'ኊ',
                                    next: { e: { value: 'ኌ', next: null }, E: { value: 'ኌ', next: null } },
                                },
                                a: { value: 'ኋ', next: null },
                                A: { value: 'ኋ', next: null },
                            },
                        },
                        i: { value: 'ኂ', next: { e: { value: 'ኄ', next: null }, E: { value: 'ኄ', next: null } } },
                        I: { value: 'ኂ', next: { e: { value: 'ኄ', next: null }, E: { value: 'ኄ', next: null } } },
                        a: { value: 'ኃ', next: null },
                        A: { value: 'ኃ', next: null },
                        o: { value: 'ኆ', next: { a: { value: 'ኇ', next: null }, A: { value: 'ኇ', next: null } } },
                        O: { value: 'ኆ', next: { a: { value: 'ኇ', next: null }, A: { value: 'ኇ', next: null } } },
                    },
                },
            },
        },
        l: {
            value: 'ል',
            next: {
                e: { value: 'ለ', next: null },
                E: { value: 'ለ', next: null },
                u: { value: 'ሉ', next: { a: { value: 'ሏ', next: null }, A: { value: 'ሏ', next: null } } },
                U: { value: 'ሉ', next: { a: { value: 'ሏ', next: null }, A: { value: 'ሏ', next: null } } },
                i: { value: 'ሊ', next: { e: { value: 'ሌ', next: null }, E: { value: 'ሌ', next: null } } },
                I: { value: 'ሊ', next: { e: { value: 'ሌ', next: null }, E: { value: 'ሌ', next: null } } },
                a: { value: 'ላ', next: null },
                A: { value: 'ላ', next: null },
                o: { value: 'ሎ', next: { a: { value: 'ⶀ', next: null }, A: { value: 'ⶀ', next: null } } },
                O: { value: 'ሎ', next: { a: { value: 'ⶀ', next: null }, A: { value: 'ⶀ', next: null } } },
            },
        },
        L: {
            value: 'ል',
            next: {
                e: { value: 'ለ', next: null },
                E: { value: 'ለ', next: null },
                u: { value: 'ሉ', next: { a: { value: 'ሏ', next: null }, A: { value: 'ሏ', next: null } } },
                U: { value: 'ሉ', next: { a: { value: 'ሏ', next: null }, A: { value: 'ሏ', next: null } } },
                i: { value: 'ሊ', next: { e: { value: 'ሌ', next: null }, E: { value: 'ሌ', next: null } } },
                I: { value: 'ሊ', next: { e: { value: 'ሌ', next: null }, E: { value: 'ሌ', next: null } } },
                a: { value: 'ላ', next: null },
                A: { value: 'ላ', next: null },
                o: { value: 'ሎ', next: { a: { value: 'ⶀ', next: null }, A: { value: 'ⶀ', next: null } } },
                O: { value: 'ሎ', next: { a: { value: 'ⶀ', next: null }, A: { value: 'ⶀ', next: null } } },
            },
        },
        H: {
            value: 'ሕ',
            next: {
                e: { value: 'ሐ', next: null },
                E: { value: 'ሐ', next: null },
                u: { value: 'ሑ', next: { a: { value: 'ሗ', next: null }, A: { value: 'ሗ', next: null } } },
                U: { value: 'ሑ', next: { a: { value: 'ሗ', next: null }, A: { value: 'ሗ', next: null } } },
                i: { value: 'ሒ', next: { e: { value: 'ሔ', next: null }, E: { value: 'ሔ', next: null } } },
                I: { value: 'ሒ', next: { e: { value: 'ሔ', next: null }, E: { value: 'ሔ', next: null } } },
                a: { value: 'ሓ', next: null },
                A: { value: 'ሓ', next: null },
                o: { value: 'ሖ', next: null },
                O: { value: 'ሖ', next: null },
            },
        },
        m: {
            value: 'ም',
            next: {
                e: { value: 'መ', next: null },
                E: { value: 'መ', next: null },
                u: {
                    value: 'ሙ',
                    next: {
                        e: { value: 'ᎀ', next: null },
                        E: { value: 'ᎀ', next: null },
                        u: { value: 'ᎃ', next: null },
                        U: { value: 'ᎃ', next: null },
                        i: { value: 'ᎁ', next: { e: { value: 'ᎂ', next: null }, E: { value: 'ᎂ', next: null } } },
                        I: { value: 'ᎁ', next: { e: { value: 'ᎂ', next: null }, E: { value: 'ᎂ', next: null } } },
                        a: { value: 'ሟ', next: null },
                        A: { value: 'ሟ', next: null },
                    },
                },
                U: {
                    value: 'ሙ',
                    next: {
                        e: { value: 'ᎀ', next: null },
                        E: { value: 'ᎀ', next: null },
                        u: { value: 'ᎃ', next: null },
                        U: { value: 'ᎃ', next: null },
                        i: { value: 'ᎁ', next: { e: { value: 'ᎂ', next: null }, E: { value: 'ᎂ', next: null } } },
                        I: { value: 'ᎁ', next: { e: { value: 'ᎂ', next: null }, E: { value: 'ᎂ', next: null } } },
                        a: { value: 'ሟ', next: null },
                        A: { value: 'ሟ', next: null },
                    },
                },
                i: { value: 'ሚ', next: { e: { value: 'ሜ', next: null }, E: { value: 'ሜ', next: null } } },
                I: { value: 'ሚ', next: { e: { value: 'ሜ', next: null }, E: { value: 'ሜ', next: null } } },
                a: { value: 'ማ', next: null },
                A: { value: 'ማ', next: null },
                o: { value: 'ሞ', next: { a: { value: 'ⶁ', next: null }, A: { value: 'ⶁ', next: null } } },
                O: { value: 'ሞ', next: { a: { value: 'ⶁ', next: null }, A: { value: 'ⶁ', next: null } } },
                Y: { value: 'ፙ', next: null },
            },
        },
        M: {
            value: 'ም',
            next: {
                e: { value: 'መ', next: null },
                E: { value: 'መ', next: null },
                u: {
                    value: 'ሙ',
                    next: {
                        e: { value: 'ᎀ', next: null },
                        E: { value: 'ᎀ', next: null },
                        u: { value: 'ᎃ', next: null },
                        U: { value: 'ᎃ', next: null },
                        i: { value: 'ᎁ', next: { e: { value: 'ᎂ', next: null }, E: { value: 'ᎂ', next: null } } },
                        I: { value: 'ᎁ', next: { e: { value: 'ᎂ', next: null }, E: { value: 'ᎂ', next: null } } },
                        a: { value: 'ሟ', next: null },
                        A: { value: 'ሟ', next: null },
                    },
                },
                U: {
                    value: 'ሙ',
                    next: {
                        e: { value: 'ᎀ', next: null },
                        E: { value: 'ᎀ', next: null },
                        u: { value: 'ᎃ', next: null },
                        U: { value: 'ᎃ', next: null },
                        i: { value: 'ᎁ', next: { e: { value: 'ᎂ', next: null }, E: { value: 'ᎂ', next: null } } },
                        I: { value: 'ᎁ', next: { e: { value: 'ᎂ', next: null }, E: { value: 'ᎂ', next: null } } },
                        a: { value: 'ሟ', next: null },
                        A: { value: 'ሟ', next: null },
                    },
                },
                i: { value: 'ሚ', next: { e: { value: 'ሜ', next: null }, E: { value: 'ሜ', next: null } } },
                I: { value: 'ሚ', next: { e: { value: 'ሜ', next: null }, E: { value: 'ሜ', next: null } } },
                a: { value: 'ማ', next: null },
                A: { value: 'ማ', next: null },
                o: { value: 'ሞ', next: { a: { value: 'ⶁ', next: null }, A: { value: 'ⶁ', next: null } } },
                O: { value: 'ሞ', next: { a: { value: 'ⶁ', next: null }, A: { value: 'ⶁ', next: null } } },
                Y: { value: 'ፙ', next: null },
            },
        },
        s: {
            value: 'ስ',
            next: {
                e: { value: 'ሰ', next: null },
                E: { value: 'ሰ', next: null },
                u: { value: 'ሱ', next: { a: { value: 'ሷ', next: null }, A: { value: 'ሷ', next: null } } },
                U: { value: 'ሱ', next: { a: { value: 'ሷ', next: null }, A: { value: 'ሷ', next: null } } },
                i: { value: 'ሲ', next: { e: { value: 'ሴ', next: null }, E: { value: 'ሴ', next: null } } },
                I: { value: 'ሲ', next: { e: { value: 'ሴ', next: null }, E: { value: 'ሴ', next: null } } },
                a: { value: 'ሳ', next: null },
                A: { value: 'ሳ', next: null },
                o: { value: 'ሶ', next: { a: { value: 'ⶃ', next: null }, A: { value: 'ⶃ', next: null } } },
                O: { value: 'ሶ', next: { a: { value: 'ⶃ', next: null }, A: { value: 'ⶃ', next: null } } },
            },
        },
        r: {
            value: 'ር',
            next: {
                e: { value: 'ረ', next: null },
                E: { value: 'ረ', next: null },
                u: { value: 'ሩ', next: { a: { value: 'ሯ', next: null }, A: { value: 'ሯ', next: null } } },
                U: { value: 'ሩ', next: { a: { value: 'ሯ', next: null }, A: { value: 'ሯ', next: null } } },
                i: { value: 'ሪ', next: { e: { value: 'ሬ', next: null }, E: { value: 'ሬ', next: null } } },
                I: { value: 'ሪ', next: { e: { value: 'ሬ', next: null }, E: { value: 'ሬ', next: null } } },
                a: { value: 'ራ', next: null },
                A: { value: 'ራ', next: null },
                o: { value: 'ሮ', next: { a: { value: 'ⶂ', next: null }, A: { value: 'ⶂ', next: null } } },
                O: { value: 'ሮ', next: { a: { value: 'ⶂ', next: null }, A: { value: 'ⶂ', next: null } } },
                Y: { value: 'ፘ', next: null },
            },
        },
        R: {
            value: 'ር',
            next: {
                e: { value: 'ረ', next: null },
                E: { value: 'ረ', next: null },
                u: { value: 'ሩ', next: { a: { value: 'ሯ', next: null }, A: { value: 'ሯ', next: null } } },
                U: { value: 'ሩ', next: { a: { value: 'ሯ', next: null }, A: { value: 'ሯ', next: null } } },
                i: { value: 'ሪ', next: { e: { value: 'ሬ', next: null }, E: { value: 'ሬ', next: null } } },
                I: { value: 'ሪ', next: { e: { value: 'ሬ', next: null }, E: { value: 'ሬ', next: null } } },
                a: { value: 'ራ', next: null },
                A: { value: 'ራ', next: null },
                o: { value: 'ሮ', next: { a: { value: 'ⶂ', next: null }, A: { value: 'ⶂ', next: null } } },
                O: { value: 'ሮ', next: { a: { value: 'ⶂ', next: null }, A: { value: 'ⶂ', next: null } } },
                Y: { value: 'ፘ', next: null },
            },
        },
        x: {
            value: 'ሽ',
            next: {
                e: { value: 'ሸ', next: null },
                E: { value: 'ሸ', next: null },
                u: { value: 'ሹ', next: { a: { value: 'ሿ', next: null }, A: { value: 'ሿ', next: null } } },
                U: { value: 'ሹ', next: { a: { value: 'ሿ', next: null }, A: { value: 'ሿ', next: null } } },
                i: { value: 'ሺ', next: { e: { value: 'ሼ', next: null }, E: { value: 'ሼ', next: null } } },
                I: { value: 'ሺ', next: { e: { value: 'ሼ', next: null }, E: { value: 'ሼ', next: null } } },
                a: { value: 'ሻ', next: null },
                A: { value: 'ሻ', next: null },
                o: { value: 'ሾ', next: { a: { value: 'ⶄ', next: null }, A: { value: 'ⶄ', next: null } } },
                O: { value: 'ሾ', next: { a: { value: 'ⶄ', next: null }, A: { value: 'ⶄ', next: null } } },
                x: {
                    value: 'ⶥ',
                    next: {
                        e: { value: 'ⶠ', next: null },
                        E: { value: 'ⶠ', next: null },
                        u: { value: 'ⶡ', next: null },
                        U: { value: 'ⶡ', next: null },
                        i: { value: 'ⶢ', next: { e: { value: 'ⶤ', next: null }, E: { value: 'ⶤ', next: null } } },
                        I: { value: 'ⶢ', next: { e: { value: 'ⶤ', next: null }, E: { value: 'ⶤ', next: null } } },
                        a: { value: 'ⶣ', next: null },
                        A: { value: 'ⶣ', next: null },
                        o: { value: 'ⶦ', next: null },
                        O: { value: 'ⶦ', next: null },
                    },
                },
                X: {
                    value: 'ⶥ',
                    next: {
                        e: { value: 'ⶠ', next: null },
                        E: { value: 'ⶠ', next: null },
                        u: { value: 'ⶡ', next: null },
                        U: { value: 'ⶡ', next: null },
                        i: { value: 'ⶢ', next: { e: { value: 'ⶤ', next: null }, E: { value: 'ⶤ', next: null } } },
                        I: { value: 'ⶢ', next: { e: { value: 'ⶤ', next: null }, E: { value: 'ⶤ', next: null } } },
                        a: { value: 'ⶣ', next: null },
                        A: { value: 'ⶣ', next: null },
                        o: { value: 'ⶦ', next: null },
                        O: { value: 'ⶦ', next: null },
                    },
                },
            },
        },
        X: {
            value: 'ሽ',
            next: {
                e: { value: 'ሸ', next: null },
                E: { value: 'ሸ', next: null },
                u: { value: 'ሹ', next: { a: { value: 'ሿ', next: null }, A: { value: 'ሿ', next: null } } },
                U: { value: 'ሹ', next: { a: { value: 'ሿ', next: null }, A: { value: 'ሿ', next: null } } },
                i: { value: 'ሺ', next: { e: { value: 'ሼ', next: null }, E: { value: 'ሼ', next: null } } },
                I: { value: 'ሺ', next: { e: { value: 'ሼ', next: null }, E: { value: 'ሼ', next: null } } },
                a: { value: 'ሻ', next: null },
                A: { value: 'ሻ', next: null },
                o: { value: 'ሾ', next: { a: { value: 'ⶄ', next: null }, A: { value: 'ⶄ', next: null } } },
                O: { value: 'ሾ', next: { a: { value: 'ⶄ', next: null }, A: { value: 'ⶄ', next: null } } },
                x: {
                    value: 'ⶥ',
                    next: {
                        e: { value: 'ⶠ', next: null },
                        E: { value: 'ⶠ', next: null },
                        u: { value: 'ⶡ', next: null },
                        U: { value: 'ⶡ', next: null },
                        i: { value: 'ⶢ', next: { e: { value: 'ⶤ', next: null }, E: { value: 'ⶤ', next: null } } },
                        I: { value: 'ⶢ', next: { e: { value: 'ⶤ', next: null }, E: { value: 'ⶤ', next: null } } },
                        a: { value: 'ⶣ', next: null },
                        A: { value: 'ⶣ', next: null },
                        o: { value: 'ⶦ', next: null },
                        O: { value: 'ⶦ', next: null },
                    },
                },
                X: {
                    value: 'ⶥ',
                    next: {
                        e: { value: 'ⶠ', next: null },
                        E: { value: 'ⶠ', next: null },
                        u: { value: 'ⶡ', next: null },
                        U: { value: 'ⶡ', next: null },
                        i: { value: 'ⶢ', next: { e: { value: 'ⶤ', next: null }, E: { value: 'ⶤ', next: null } } },
                        I: { value: 'ⶢ', next: { e: { value: 'ⶤ', next: null }, E: { value: 'ⶤ', next: null } } },
                        a: { value: 'ⶣ', next: null },
                        A: { value: 'ⶣ', next: null },
                        o: { value: 'ⶦ', next: null },
                        O: { value: 'ⶦ', next: null },
                    },
                },
            },
        },
        q: {
            value: 'ቅ',
            next: {
                e: { value: 'ቀ', next: null },
                E: { value: 'ቀ', next: null },
                u: {
                    value: 'ቁ',
                    next: {
                        e: { value: 'ቈ', next: null },
                        E: { value: 'ቈ', next: null },
                        u: { value: 'ቍ', next: null },
                        U: { value: 'ቍ', next: null },
                        i: { value: 'ቊ', next: { e: { value: 'ቌ', next: null }, E: { value: 'ቌ', next: null } } },
                        I: { value: 'ቊ', next: { e: { value: 'ቌ', next: null }, E: { value: 'ቌ', next: null } } },
                        a: { value: 'ቋ', next: null },
                        A: { value: 'ቋ', next: null },
                    },
                },
                U: {
                    value: 'ቁ',
                    next: {
                        e: { value: 'ቈ', next: null },
                        E: { value: 'ቈ', next: null },
                        u: { value: 'ቍ', next: null },
                        U: { value: 'ቍ', next: null },
                        i: { value: 'ቊ', next: { e: { value: 'ቌ', next: null }, E: { value: 'ቌ', next: null } } },
                        I: { value: 'ቊ', next: { e: { value: 'ቌ', next: null }, E: { value: 'ቌ', next: null } } },
                        a: { value: 'ቋ', next: null },
                        A: { value: 'ቋ', next: null },
                    },
                },
                i: { value: 'ቂ', next: { e: { value: 'ቄ', next: null }, E: { value: 'ቄ', next: null } } },
                I: { value: 'ቂ', next: { e: { value: 'ቄ', next: null }, E: { value: 'ቄ', next: null } } },
                a: { value: 'ቃ', next: null },
                A: { value: 'ቃ', next: null },
                o: { value: 'ቆ', next: { a: { value: 'ቇ', next: null }, A: { value: 'ቇ', next: null } } },
                O: { value: 'ቆ', next: { a: { value: 'ቇ', next: null }, A: { value: 'ቇ', next: null } } },
                Y: {
                    value: 'ⷅ',
                    next: {
                        e: { value: 'ⷀ', next: null },
                        E: { value: 'ⷀ', next: null },
                        u: { value: 'ⷁ', next: null },
                        U: { value: 'ⷁ', next: null },
                        i: { value: 'ⷂ', next: { e: { value: 'ⷄ', next: null }, E: { value: 'ⷄ', next: null } } },
                        I: { value: 'ⷂ', next: { e: { value: 'ⷄ', next: null }, E: { value: 'ⷄ', next: null } } },
                        a: { value: 'ⷃ', next: null },
                        A: { value: 'ⷃ', next: null },
                        o: { value: 'ⷆ', next: null },
                        O: { value: 'ⷆ', next: null },
                    },
                },
            },
        },
        Q: {
            value: 'ቕ',
            next: {
                e: { value: 'ቐ', next: null },
                E: { value: 'ቐ', next: null },
                u: {
                    value: 'ቑ',
                    next: {
                        e: { value: 'ቘ', next: null },
                        E: { value: 'ቘ', next: null },
                        u: { value: 'ቝ', next: null },
                        U: { value: 'ቝ', next: null },
                        i: { value: 'ቚ', next: { e: { value: 'ቜ', next: null }, E: { value: 'ቜ', next: null } } },
                        I: { value: 'ቚ', next: { e: { value: 'ቜ', next: null }, E: { value: 'ቜ', next: null } } },
                        a: { value: 'ቛ', next: null },
                        A: { value: 'ቛ', next: null },
                    },
                },
                U: {
                    value: 'ቑ',
                    next: {
                        e: { value: 'ቘ', next: null },
                        E: { value: 'ቘ', next: null },
                        u: { value: 'ቝ', next: null },
                        U: { value: 'ቝ', next: null },
                        i: { value: 'ቚ', next: { e: { value: 'ቜ', next: null }, E: { value: 'ቜ', next: null } } },
                        I: { value: 'ቚ', next: { e: { value: 'ቜ', next: null }, E: { value: 'ቜ', next: null } } },
                        a: { value: 'ቛ', next: null },
                        A: { value: 'ቛ', next: null },
                    },
                },
                i: { value: 'ቒ', next: { e: { value: 'ቔ', next: null }, E: { value: 'ቔ', next: null } } },
                I: { value: 'ቒ', next: { e: { value: 'ቔ', next: null }, E: { value: 'ቔ', next: null } } },
                a: { value: 'ቓ', next: null },
                A: { value: 'ቓ', next: null },
                o: { value: 'ቖ', next: null },
                O: { value: 'ቖ', next: null },
            },
        },
        b: {
            value: 'ብ',
            next: {
                e: { value: 'በ', next: null },
                E: { value: 'በ', next: null },
                u: {
                    value: 'ቡ',
                    next: {
                        e: { value: 'ᎄ', next: null },
                        E: { value: 'ᎄ', next: null },
                        u: { value: 'ᎇ', next: null },
                        U: { value: 'ᎇ', next: null },
                        i: { value: 'ᎅ', next: { e: { value: 'ᎆ', next: null }, E: { value: 'ᎆ', next: null } } },
                        I: { value: 'ᎅ', next: { e: { value: 'ᎆ', next: null }, E: { value: 'ᎆ', next: null } } },
                        a: { value: 'ቧ', next: null },
                        A: { value: 'ቧ', next: null },
                    },
                },
                U: {
                    value: 'ቡ',
                    next: {
                        e: { value: 'ᎄ', next: null },
                        E: { value: 'ᎄ', next: null },
                        u: { value: 'ᎇ', next: null },
                        U: { value: 'ᎇ', next: null },
                        i: { value: 'ᎅ', next: { e: { value: 'ᎆ', next: null }, E: { value: 'ᎆ', next: null } } },
                        I: { value: 'ᎅ', next: { e: { value: 'ᎆ', next: null }, E: { value: 'ᎆ', next: null } } },
                        a: { value: 'ቧ', next: null },
                        A: { value: 'ቧ', next: null },
                    },
                },
                i: { value: 'ቢ', next: { e: { value: 'ቤ', next: null }, E: { value: 'ቤ', next: null } } },
                I: { value: 'ቢ', next: { e: { value: 'ቤ', next: null }, E: { value: 'ቤ', next: null } } },
                a: { value: 'ባ', next: null },
                A: { value: 'ባ', next: null },
                o: { value: 'ቦ', next: { a: { value: 'ⶅ', next: null }, A: { value: 'ⶅ', next: null } } },
                O: { value: 'ቦ', next: { a: { value: 'ⶅ', next: null }, A: { value: 'ⶅ', next: null } } },
            },
        },
        B: {
            value: 'ብ',
            next: {
                e: { value: 'በ', next: null },
                E: { value: 'በ', next: null },
                u: {
                    value: 'ቡ',
                    next: {
                        e: { value: 'ᎄ', next: null },
                        E: { value: 'ᎄ', next: null },
                        u: { value: 'ᎇ', next: null },
                        U: { value: 'ᎇ', next: null },
                        i: { value: 'ᎅ', next: { e: { value: 'ᎆ', next: null }, E: { value: 'ᎆ', next: null } } },
                        I: { value: 'ᎅ', next: { e: { value: 'ᎆ', next: null }, E: { value: 'ᎆ', next: null } } },
                        a: { value: 'ቧ', next: null },
                        A: { value: 'ቧ', next: null },
                    },
                },
                U: {
                    value: 'ቡ',
                    next: {
                        e: { value: 'ᎄ', next: null },
                        E: { value: 'ᎄ', next: null },
                        u: { value: 'ᎇ', next: null },
                        U: { value: 'ᎇ', next: null },
                        i: { value: 'ᎅ', next: { e: { value: 'ᎆ', next: null }, E: { value: 'ᎆ', next: null } } },
                        I: { value: 'ᎅ', next: { e: { value: 'ᎆ', next: null }, E: { value: 'ᎆ', next: null } } },
                        a: { value: 'ቧ', next: null },
                        A: { value: 'ቧ', next: null },
                    },
                },
                i: { value: 'ቢ', next: { e: { value: 'ቤ', next: null }, E: { value: 'ቤ', next: null } } },
                I: { value: 'ቢ', next: { e: { value: 'ቤ', next: null }, E: { value: 'ቤ', next: null } } },
                a: { value: 'ባ', next: null },
                A: { value: 'ባ', next: null },
                o: { value: 'ቦ', next: { a: { value: 'ⶅ', next: null }, A: { value: 'ⶅ', next: null } } },
                O: { value: 'ቦ', next: { a: { value: 'ⶅ', next: null }, A: { value: 'ⶅ', next: null } } },
            },
        },
        v: {
            value: 'ቭ',
            next: {
                e: { value: 'ቨ', next: null },
                E: { value: 'ቨ', next: null },
                u: { value: 'ቩ', next: { a: { value: 'ቯ', next: null }, A: { value: 'ቯ', next: null } } },
                U: { value: 'ቩ', next: { a: { value: 'ቯ', next: null }, A: { value: 'ቯ', next: null } } },
                i: { value: 'ቪ', next: { e: { value: 'ቬ', next: null }, E: { value: 'ቬ', next: null } } },
                I: { value: 'ቪ', next: { e: { value: 'ቬ', next: null }, E: { value: 'ቬ', next: null } } },
                a: { value: 'ቫ', next: null },
                A: { value: 'ቫ', next: null },
                o: { value: 'ቮ', next: null },
                O: { value: 'ቮ', next: null },
            },
        },
        V: {
            value: 'ቭ',
            next: {
                e: { value: 'ቨ', next: null },
                E: { value: 'ቨ', next: null },
                u: { value: 'ቩ', next: { a: { value: 'ቯ', next: null }, A: { value: 'ቯ', next: null } } },
                U: { value: 'ቩ', next: { a: { value: 'ቯ', next: null }, A: { value: 'ቯ', next: null } } },
                i: { value: 'ቪ', next: { e: { value: 'ቬ', next: null }, E: { value: 'ቬ', next: null } } },
                I: { value: 'ቪ', next: { e: { value: 'ቬ', next: null }, E: { value: 'ቬ', next: null } } },
                a: { value: 'ቫ', next: null },
                A: { value: 'ቫ', next: null },
                o: { value: 'ቮ', next: null },
                O: { value: 'ቮ', next: null },
            },
        },
        t: {
            value: 'ት',
            next: {
                e: { value: 'ተ', next: null },
                E: { value: 'ተ', next: null },
                u: { value: 'ቱ', next: { a: { value: 'ቷ', next: null }, A: { value: 'ቷ', next: null } } },
                U: { value: 'ቱ', next: { a: { value: 'ቷ', next: null }, A: { value: 'ቷ', next: null } } },
                i: { value: 'ቲ', next: { e: { value: 'ቴ', next: null }, E: { value: 'ቴ', next: null } } },
                I: { value: 'ቲ', next: { e: { value: 'ቴ', next: null }, E: { value: 'ቴ', next: null } } },
                a: { value: 'ታ', next: null },
                A: { value: 'ታ', next: null },
                o: { value: 'ቶ', next: { a: { value: 'ⶆ', next: null }, A: { value: 'ⶆ', next: null } } },
                O: { value: 'ቶ', next: { a: { value: 'ⶆ', next: null }, A: { value: 'ⶆ', next: null } } },
            },
        },
        c: {
            value: 'ች',
            next: {
                e: { value: 'ቸ', next: null },
                E: { value: 'ቸ', next: null },
                u: { value: 'ቹ', next: { a: { value: 'ቿ', next: null }, A: { value: 'ቿ', next: null } } },
                U: { value: 'ቹ', next: { a: { value: 'ቿ', next: null }, A: { value: 'ቿ', next: null } } },
                i: { value: 'ቺ', next: { e: { value: 'ቼ', next: null }, E: { value: 'ቼ', next: null } } },
                I: { value: 'ቺ', next: { e: { value: 'ቼ', next: null }, E: { value: 'ቼ', next: null } } },
                a: { value: 'ቻ', next: null },
                A: { value: 'ቻ', next: null },
                o: { value: 'ቾ', next: { a: { value: 'ⶇ', next: null }, A: { value: 'ⶇ', next: null } } },
                O: { value: 'ቾ', next: { a: { value: 'ⶇ', next: null }, A: { value: 'ⶇ', next: null } } },
                c: {
                    value: 'ⶭ',
                    next: {
                        e: { value: 'ⶨ', next: null },
                        E: { value: 'ⶨ', next: null },
                        u: { value: 'ⶩ', next: null },
                        U: { value: 'ⶩ', next: null },
                        i: { value: 'ⶪ', next: { e: { value: 'ⶬ', next: null }, E: { value: 'ⶬ', next: null } } },
                        I: { value: 'ⶪ', next: { e: { value: 'ⶬ', next: null }, E: { value: 'ⶬ', next: null } } },
                        a: { value: 'ⶫ', next: null },
                        A: { value: 'ⶫ', next: null },
                        o: { value: 'ⶮ', next: null },
                        O: { value: 'ⶮ', next: null },
                    },
                },
            },
        },
        n: {
            value: 'ን',
            next: {
                e: { value: 'ነ', next: null },
                E: { value: 'ነ', next: null },
                u: { value: 'ኑ', next: { a: { value: 'ኗ', next: null }, A: { value: 'ኗ', next: null } } },
                U: { value: 'ኑ', next: { a: { value: 'ኗ', next: null }, A: { value: 'ኗ', next: null } } },
                i: { value: 'ኒ', next: { e: { value: 'ኔ', next: null }, E: { value: 'ኔ', next: null } } },
                I: { value: 'ኒ', next: { e: { value: 'ኔ', next: null }, E: { value: 'ኔ', next: null } } },
                a: { value: 'ና', next: null },
                A: { value: 'ና', next: null },
                o: { value: 'ኖ', next: { a: { value: 'ⶈ', next: null }, A: { value: 'ⶈ', next: null } } },
                O: { value: 'ኖ', next: { a: { value: 'ⶈ', next: null }, A: { value: 'ⶈ', next: null } } },
            },
        },
        N: {
            value: 'ኝ',
            next: {
                e: { value: 'ኘ', next: null },
                E: { value: 'ኘ', next: null },
                u: { value: 'ኙ', next: { a: { value: 'ኟ', next: null }, A: { value: 'ኟ', next: null } } },
                U: { value: 'ኙ', next: { a: { value: 'ኟ', next: null }, A: { value: 'ኟ', next: null } } },
                i: { value: 'ኚ', next: { e: { value: 'ኜ', next: null }, E: { value: 'ኜ', next: null } } },
                I: { value: 'ኚ', next: { e: { value: 'ኜ', next: null }, E: { value: 'ኜ', next: null } } },
                a: { value: 'ኛ', next: null },
                A: { value: 'ኛ', next: null },
                o: { value: 'ኞ', next: { a: { value: 'ⶉ', next: null }, A: { value: 'ⶉ', next: null } } },
                O: { value: 'ኞ', next: { a: { value: 'ⶉ', next: null }, A: { value: 'ⶉ', next: null } } },
            },
        },
        a: {
            value: 'እ',
            next: {
                e: { value: '', next: { e: { value: 'ኧ', next: null }, E: { value: 'ኧ', next: null } } },
                E: { value: 'አ', next: null },
                u: { value: 'ኡ', next: null },
                U: { value: 'ኡ', next: null },
                i: { value: 'ኢ', next: { e: { value: 'ኤ', next: null }, E: { value: 'ኤ', next: null } } },
                I: { value: 'ኢ', next: { e: { value: 'ኤ', next: null }, E: { value: 'ኤ', next: null } } },
                a: { value: 'ኣ', next: null },
                A: { value: 'ኣ', next: null },
                o: { value: 'ኦ', next: { a: { value: 'ⶊ', next: null }, A: { value: 'ⶊ', next: null } } },
                O: { value: 'ኦ', next: { a: { value: 'ⶊ', next: null }, A: { value: 'ⶊ', next: null } } },
            },
        },
        k: {
            value: 'ክ',
            next: {
                e: { value: 'ከ', next: null },
                E: { value: 'ከ', next: null },
                u: {
                    value: 'ኩ',
                    next: {
                        e: { value: 'ኰ', next: null },
                        E: { value: 'ኰ', next: null },
                        u: { value: 'ኵ', next: null },
                        U: { value: 'ኵ', next: null },
                        i: { value: 'ኲ', next: { e: { value: 'ኴ', next: null }, E: { value: 'ኴ', next: null } } },
                        I: { value: 'ኲ', next: { e: { value: 'ኴ', next: null }, E: { value: 'ኴ', next: null } } },
                        a: { value: 'ኳ', next: null },
                        A: { value: 'ኳ', next: null },
                    },
                },
                U: {
                    value: 'ኩ',
                    next: {
                        e: { value: 'ኰ', next: null },
                        E: { value: 'ኰ', next: null },
                        u: { value: 'ኵ', next: null },
                        U: { value: 'ኵ', next: null },
                        i: { value: 'ኲ', next: { e: { value: 'ኴ', next: null }, E: { value: 'ኴ', next: null } } },
                        I: { value: 'ኲ', next: { e: { value: 'ኴ', next: null }, E: { value: 'ኴ', next: null } } },
                        a: { value: 'ኳ', next: null },
                        A: { value: 'ኳ', next: null },
                    },
                },
                i: { value: 'ኪ', next: { e: { value: 'ኬ', next: null }, E: { value: 'ኬ', next: null } } },
                I: { value: 'ኪ', next: { e: { value: 'ኬ', next: null }, E: { value: 'ኬ', next: null } } },
                a: { value: 'ካ', next: null },
                A: { value: 'ካ', next: null },
                o: { value: 'ኮ', next: { a: { value: 'ኯ', next: null }, A: { value: 'ኯ', next: null } } },
                O: { value: 'ኮ', next: { a: { value: 'ኯ', next: null }, A: { value: 'ኯ', next: null } } },
                Y: {
                    value: 'ⷍ',
                    next: {
                        e: { value: 'ⷈ', next: null },
                        E: { value: 'ⷈ', next: null },
                        u: { value: 'ⷉ', next: null },
                        U: { value: 'ⷉ', next: null },
                        i: { value: 'ⷊ', next: { e: { value: 'ⷌ', next: null }, E: { value: 'ⷌ', next: null } } },
                        I: { value: 'ⷊ', next: { e: { value: 'ⷌ', next: null }, E: { value: 'ⷌ', next: null } } },
                        a: { value: 'ⷋ', next: null },
                        A: { value: 'ⷋ', next: null },
                        o: { value: 'ⷎ', next: null },
                        O: { value: 'ⷎ', next: null },
                    },
                },
            },
        },
        K: {
            value: 'ክ',
            next: {
                e: { value: 'ከ', next: null },
                E: { value: 'ከ', next: null },
                u: {
                    value: 'ኩ',
                    next: {
                        e: { value: 'ኰ', next: null },
                        E: { value: 'ኰ', next: null },
                        u: { value: 'ኵ', next: null },
                        U: { value: 'ኵ', next: null },
                        i: { value: 'ኲ', next: { e: { value: 'ኴ', next: null }, E: { value: 'ኴ', next: null } } },
                        I: { value: 'ኲ', next: { e: { value: 'ኴ', next: null }, E: { value: 'ኴ', next: null } } },
                        a: { value: 'ኳ', next: null },
                        A: { value: 'ኳ', next: null },
                    },
                },
                U: {
                    value: 'ኩ',
                    next: {
                        e: { value: 'ኰ', next: null },
                        E: { value: 'ኰ', next: null },
                        u: { value: 'ኵ', next: null },
                        U: { value: 'ኵ', next: null },
                        i: { value: 'ኲ', next: { e: { value: 'ኴ', next: null }, E: { value: 'ኴ', next: null } } },
                        I: { value: 'ኲ', next: { e: { value: 'ኴ', next: null }, E: { value: 'ኴ', next: null } } },
                        a: { value: 'ኳ', next: null },
                        A: { value: 'ኳ', next: null },
                    },
                },
                i: { value: 'ኪ', next: { e: { value: 'ኬ', next: null }, E: { value: 'ኬ', next: null } } },
                I: { value: 'ኪ', next: { e: { value: 'ኬ', next: null }, E: { value: 'ኬ', next: null } } },
                a: { value: 'ካ', next: null },
                A: { value: 'ካ', next: null },
                o: { value: 'ኮ', next: { a: { value: 'ኯ', next: null }, A: { value: 'ኯ', next: null } } },
                O: { value: 'ኮ', next: { a: { value: 'ኯ', next: null }, A: { value: 'ኯ', next: null } } },
                Y: {
                    value: 'ⷕ',
                    next: {
                        e: { value: 'ⷐ', next: null },
                        E: { value: 'ⷐ', next: null },
                        u: { value: 'ⷑ', next: null },
                        U: { value: 'ⷑ', next: null },
                        i: { value: 'ⷒ', next: { e: { value: 'ⷔ', next: null }, E: { value: 'ⷔ', next: null } } },
                        I: { value: 'ⷒ', next: { e: { value: 'ⷔ', next: null }, E: { value: 'ⷔ', next: null } } },
                        a: { value: 'ⷓ', next: null },
                        A: { value: 'ⷓ', next: null },
                        o: { value: 'ⷖ', next: null },
                        O: { value: 'ⷖ', next: null },
                    },
                },
            },
        },
        w: {
            value: 'ው',
            next: {
                e: { value: 'ወ', next: null },
                E: { value: 'ወ', next: null },
                u: { value: 'ዉ', next: null },
                U: { value: 'ዉ', next: null },
                i: { value: 'ዊ', next: { e: { value: 'ዌ', next: null }, E: { value: 'ዌ', next: null } } },
                I: { value: 'ዊ', next: { e: { value: 'ዌ', next: null }, E: { value: 'ዌ', next: null } } },
                a: { value: 'ዋ', next: null },
                A: { value: 'ዋ', next: null },
                o: { value: 'ዎ', next: { a: { value: 'ዏ', next: null }, A: { value: 'ዏ', next: null } } },
                O: { value: 'ዎ', next: { a: { value: 'ዏ', next: null }, A: { value: 'ዏ', next: null } } },
            },
        },
        W: {
            value: 'ው',
            next: {
                e: { value: 'ወ', next: null },
                E: { value: 'ወ', next: null },
                u: { value: 'ዉ', next: null },
                U: { value: 'ዉ', next: null },
                i: { value: 'ዊ', next: { e: { value: 'ዌ', next: null }, E: { value: 'ዌ', next: null } } },
                I: { value: 'ዊ', next: { e: { value: 'ዌ', next: null }, E: { value: 'ዌ', next: null } } },
                a: { value: 'ዋ', next: null },
                A: { value: 'ዋ', next: null },
                o: { value: 'ዎ', next: { a: { value: 'ዏ', next: null }, A: { value: 'ዏ', next: null } } },
                O: { value: 'ዎ', next: { a: { value: 'ዏ', next: null }, A: { value: 'ዏ', next: null } } },
            },
        },
        A: {
            value: 'ዐ',
            next: {
                e: { value: 'ዕ', next: null },
                E: { value: 'ዕ', next: null },
                u: { value: 'ዑ', next: null },
                U: { value: 'ዑ', next: null },
                i: { value: 'ዒ', next: { e: { value: 'ዔ', next: null }, E: { value: 'ዔ', next: null } } },
                I: { value: 'ዒ', next: { e: { value: 'ዔ', next: null }, E: { value: 'ዔ', next: null } } },
                a: { value: 'ዓ', next: null },
                A: { value: 'ዓ', next: null },
                o: { value: 'ዖ', next: null },
                O: { value: 'ዖ', next: null },
            },
        },
        z: {
            value: 'ዝ',
            next: {
                e: { value: 'ዘ', next: null },
                E: { value: 'ዘ', next: null },
                u: { value: 'ዙ', next: { a: { value: 'ዟ', next: null }, A: { value: 'ዟ', next: null } } },
                U: { value: 'ዙ', next: { a: { value: 'ዟ', next: null }, A: { value: 'ዟ', next: null } } },
                i: { value: 'ዚ', next: { e: { value: 'ዜ', next: null }, E: { value: 'ዜ', next: null } } },
                I: { value: 'ዚ', next: { e: { value: 'ዜ', next: null }, E: { value: 'ዜ', next: null } } },
                a: { value: 'ዛ', next: null },
                A: { value: 'ዛ', next: null },
                o: { value: 'ዞ', next: { a: { value: 'ⶋ', next: null }, A: { value: 'ⶋ', next: null } } },
                O: { value: 'ዞ', next: { a: { value: 'ⶋ', next: null }, A: { value: 'ⶋ', next: null } } },
            },
        },
        Z: {
            value: 'ዥ',
            next: {
                e: { value: 'ዠ', next: null },
                E: { value: 'ዠ', next: null },
                u: { value: 'ዡ', next: { a: { value: 'ዧ', next: null }, A: { value: 'ዧ', next: null } } },
                U: { value: 'ዡ', next: { a: { value: 'ዧ', next: null }, A: { value: 'ዧ', next: null } } },
                i: { value: 'ዢ', next: { e: { value: 'ዤ', next: null }, E: { value: 'ዤ', next: null } } },
                I: { value: 'ዢ', next: { e: { value: 'ዤ', next: null }, E: { value: 'ዤ', next: null } } },
                a: { value: 'ዣ', next: null },
                A: { value: 'ዣ', next: null },
                o: { value: 'ዦ', next: null },
                O: { value: 'ዦ', next: null },
                Z: {
                    value: 'ⶵ',
                    next: {
                        e: { value: 'ⶰ', next: null },
                        E: { value: 'ⶰ', next: null },
                        u: { value: 'ⶱ', next: null },
                        U: { value: 'ⶱ', next: null },
                        i: { value: 'ⶲ', next: { e: { value: 'ⶴ', next: null }, E: { value: 'ⶴ', next: null } } },
                        I: { value: 'ⶲ', next: { e: { value: 'ⶴ', next: null }, E: { value: 'ⶴ', next: null } } },
                        a: { value: 'ⶳ', next: null },
                        A: { value: 'ⶳ', next: null },
                        o: { value: 'ⶶ', next: null },
                        O: { value: 'ⶶ', next: null },
                    },
                },
            },
        },
        y: {
            value: 'ይ',
            next: {
                e: { value: 'የ', next: null },
                E: { value: 'የ', next: null },
                u: { value: 'ዩ', next: null },
                U: { value: 'ዩ', next: null },
                i: { value: 'ዪ', next: { e: { value: 'ዬ', next: null }, E: { value: 'ዬ', next: null } } },
                I: { value: 'ዪ', next: { e: { value: 'ዬ', next: null }, E: { value: 'ዬ', next: null } } },
                a: { value: 'ያ', next: null },
                A: { value: 'ያ', next: null },
                o: { value: 'ዮ', next: { a: { value: 'ዯ', next: null }, A: { value: 'ዯ', next: null } } },
                O: { value: 'ዮ', next: { a: { value: 'ዯ', next: null }, A: { value: 'ዯ', next: null } } },
            },
        },
        Y: {
            value: 'ይ',
            next: {
                e: { value: 'የ', next: null },
                E: { value: 'የ', next: null },
                u: { value: 'ዩ', next: null },
                U: { value: 'ዩ', next: null },
                i: { value: 'ዪ', next: { e: { value: 'ዬ', next: null }, E: { value: 'ዬ', next: null } } },
                I: { value: 'ዪ', next: { e: { value: 'ዬ', next: null }, E: { value: 'ዬ', next: null } } },
                a: { value: 'ያ', next: null },
                A: { value: 'ያ', next: null },
                o: { value: 'ዮ', next: { a: { value: 'ዯ', next: null }, A: { value: 'ዯ', next: null } } },
                O: { value: 'ዮ', next: { a: { value: 'ዯ', next: null }, A: { value: 'ዯ', next: null } } },
            },
        },
        d: {
            value: 'ድ',
            next: {
                e: { value: 'ደ', next: null },
                E: { value: 'ደ', next: null },
                u: { value: 'ዱ', next: { a: { value: 'ዷ', next: null }, A: { value: 'ዷ', next: null } } },
                U: { value: 'ዱ', next: { a: { value: 'ዷ', next: null }, A: { value: 'ዷ', next: null } } },
                i: { value: 'ዲ', next: { e: { value: 'ዴ', next: null }, E: { value: 'ዴ', next: null } } },
                I: { value: 'ዲ', next: { e: { value: 'ዴ', next: null }, E: { value: 'ዴ', next: null } } },
                a: { value: 'ዳ', next: null },
                A: { value: 'ዳ', next: null },
                o: { value: 'ዶ', next: { a: { value: 'ⶌ', next: null }, A: { value: 'ⶌ', next: null } } },
                O: { value: 'ዶ', next: { a: { value: 'ⶌ', next: null }, A: { value: 'ⶌ', next: null } } },
            },
        },
        D: {
            value: 'ዽ',
            next: {
                e: { value: 'ዸ', next: null },
                E: { value: 'ዸ', next: null },
                u: { value: 'ዹ', next: { a: { value: 'ዿ', next: null }, A: { value: 'ዿ', next: null } } },
                U: { value: 'ዹ', next: { a: { value: 'ዿ', next: null }, A: { value: 'ዿ', next: null } } },
                i: { value: 'ዺ', next: { e: { value: 'ዼ', next: null }, E: { value: 'ዼ', next: null } } },
                I: { value: 'ዺ', next: { e: { value: 'ዼ', next: null }, E: { value: 'ዼ', next: null } } },
                a: { value: 'ዻ', next: null },
                A: { value: 'ዻ', next: null },
                o: { value: 'ዾ', next: { a: { value: 'ⶍ', next: null }, A: { value: 'ⶍ', next: null } } },
                O: { value: 'ዾ', next: { a: { value: 'ⶍ', next: null }, A: { value: 'ⶍ', next: null } } },
            },
        },
        j: {
            value: 'ጅ',
            next: {
                e: { value: 'ጀ', next: null },
                E: { value: 'ጀ', next: null },
                u: { value: 'ጁ', next: { a: { value: 'ጇ', next: null }, A: { value: 'ጇ', next: null } } },
                U: { value: 'ጁ', next: { a: { value: 'ጇ', next: null }, A: { value: 'ጇ', next: null } } },
                i: { value: 'ጂ', next: { e: { value: 'ጄ', next: null }, E: { value: 'ጄ', next: null } } },
                I: { value: 'ጂ', next: { e: { value: 'ጄ', next: null }, E: { value: 'ጄ', next: null } } },
                a: { value: 'ጃ', next: null },
                A: { value: 'ጃ', next: null },
                o: { value: 'ጆ', next: { a: { value: 'ⶎ', next: null }, A: { value: 'ⶎ', next: null } } },
                O: { value: 'ጆ', next: { a: { value: 'ⶎ', next: null }, A: { value: 'ⶎ', next: null } } },
            },
        },
        J: {
            value: 'ጅ',
            next: {
                e: { value: 'ጀ', next: null },
                E: { value: 'ጀ', next: null },
                u: { value: 'ጁ', next: { a: { value: 'ጇ', next: null }, A: { value: 'ጇ', next: null } } },
                U: { value: 'ጁ', next: { a: { value: 'ጇ', next: null }, A: { value: 'ጇ', next: null } } },
                i: { value: 'ጂ', next: { e: { value: 'ጄ', next: null }, E: { value: 'ጄ', next: null } } },
                I: { value: 'ጂ', next: { e: { value: 'ጄ', next: null }, E: { value: 'ጄ', next: null } } },
                a: { value: 'ጃ', next: null },
                A: { value: 'ጃ', next: null },
                o: { value: 'ጆ', next: { a: { value: 'ⶎ', next: null }, A: { value: 'ⶎ', next: null } } },
                O: { value: 'ጆ', next: { a: { value: 'ⶎ', next: null }, A: { value: 'ⶎ', next: null } } },
            },
        },
        g: {
            value: 'ግ',
            next: {
                e: { value: 'ገ', next: null },
                E: { value: 'ገ', next: null },
                u: {
                    value: 'ጉ',
                    next: {
                        e: { value: 'ጐ', next: null },
                        E: { value: 'ጐ', next: null },
                        u: { value: 'ጕ', next: null },
                        U: { value: 'ጕ', next: null },
                        i: { value: 'ጒ', next: { e: { value: 'ጔ', next: null }, E: { value: 'ጔ', next: null } } },
                        I: { value: 'ጒ', next: { e: { value: 'ጔ', next: null }, E: { value: 'ጔ', next: null } } },
                        a: { value: 'ጓ', next: null },
                        A: { value: 'ጓ', next: null },
                    },
                },
                U: {
                    value: 'ጉ',
                    next: {
                        e: { value: 'ጐ', next: null },
                        E: { value: 'ጐ', next: null },
                        u: { value: 'ጕ', next: null },
                        U: { value: 'ጕ', next: null },
                        i: { value: 'ጒ', next: { e: { value: 'ጔ', next: null }, E: { value: 'ጔ', next: null } } },
                        I: { value: 'ጒ', next: { e: { value: 'ጔ', next: null }, E: { value: 'ጔ', next: null } } },
                        a: { value: 'ጓ', next: null },
                        A: { value: 'ጓ', next: null },
                    },
                },
                i: { value: 'ጊ', next: { e: { value: 'ጌ', next: null }, E: { value: 'ጌ', next: null } } },
                I: { value: 'ጊ', next: { e: { value: 'ጌ', next: null }, E: { value: 'ጌ', next: null } } },
                a: { value: 'ጋ', next: null },
                A: { value: 'ጋ', next: null },
                o: { value: 'ጎ', next: { a: { value: 'ጏ', next: null }, A: { value: 'ጏ', next: null } } },
                O: { value: 'ጎ', next: { a: { value: 'ጏ', next: null }, A: { value: 'ጏ', next: null } } },
                Y: {
                    value: 'ⷝ',
                    next: {
                        e: { value: 'ⷘ', next: null },
                        E: { value: 'ⷘ', next: null },
                        u: { value: 'ⷙ', next: null },
                        U: { value: 'ⷙ', next: null },
                        i: { value: 'ⷚ', next: { e: { value: 'ⷜ', next: null }, E: { value: 'ⷜ', next: null } } },
                        I: { value: 'ⷚ', next: { e: { value: 'ⷜ', next: null }, E: { value: 'ⷜ', next: null } } },
                        a: { value: 'ⷛ', next: null },
                        A: { value: 'ⷛ', next: null },
                        o: { value: 'ⷞ', next: null },
                        O: { value: 'ⷞ', next: null },
                    },
                },
            },
        },
        G: {
            value: 'ጝ',
            next: {
                e: { value: 'ጘ', next: null },
                E: { value: 'ጘ', next: null },
                u: {
                    value: 'ጙ',
                    next: {
                        e: { value: 'ⶓ', next: null },
                        E: { value: 'ⶓ', next: null },
                        u: { value: 'ⶖ', next: null },
                        U: { value: 'ⶖ', next: null },
                        i: { value: 'ⶔ', next: { e: { value: 'ⶕ', next: null }, E: { value: 'ⶕ', next: null } } },
                        I: { value: 'ⶔ', next: { e: { value: 'ⶕ', next: null }, E: { value: 'ⶕ', next: null } } },
                        a: { value: 'ጟ', next: null },
                        A: { value: 'ጟ', next: null },
                    },
                },
                U: {
                    value: 'ጙ',
                    next: {
                        e: { value: 'ⶓ', next: null },
                        E: { value: 'ⶓ', next: null },
                        u: { value: 'ⶖ', next: null },
                        U: { value: 'ⶖ', next: null },
                        i: { value: 'ⶔ', next: { e: { value: 'ⶕ', next: null }, E: { value: 'ⶕ', next: null } } },
                        I: { value: 'ⶔ', next: { e: { value: 'ⶕ', next: null }, E: { value: 'ⶕ', next: null } } },
                        a: { value: 'ጟ', next: null },
                        A: { value: 'ጟ', next: null },
                    },
                },
                i: { value: 'ጚ', next: { e: { value: 'ጜ', next: null }, E: { value: 'ጜ', next: null } } },
                I: { value: 'ጚ', next: { e: { value: 'ጜ', next: null }, E: { value: 'ጜ', next: null } } },
                a: { value: 'ጛ', next: null },
                A: { value: 'ጛ', next: null },
                o: { value: 'ጞ', next: null },
                O: { value: 'ጞ', next: null },
            },
        },
        T: {
            value: 'ጥ',
            next: {
                e: { value: 'ጠ', next: null },
                E: { value: 'ጠ', next: null },
                u: { value: 'ጡ', next: { a: { value: 'ጧ', next: null }, A: { value: 'ጧ', next: null } } },
                U: { value: 'ጡ', next: { a: { value: 'ጧ', next: null }, A: { value: 'ጧ', next: null } } },
                i: { value: 'ጢ', next: { e: { value: 'ጤ', next: null }, E: { value: 'ጤ', next: null } } },
                I: { value: 'ጢ', next: { e: { value: 'ጤ', next: null }, E: { value: 'ጤ', next: null } } },
                a: { value: 'ጣ', next: null },
                A: { value: 'ጣ', next: null },
                o: { value: 'ጦ', next: { a: { value: 'ⶏ', next: null }, A: { value: 'ⶏ', next: null } } },
                O: { value: 'ጦ', next: { a: { value: 'ⶏ', next: null }, A: { value: 'ⶏ', next: null } } },
            },
        },
        C: {
            value: 'ጭ',
            next: {
                e: { value: 'ጨ', next: null },
                E: { value: 'ጨ', next: null },
                u: { value: 'ጩ', next: { a: { value: 'ጯ', next: null }, A: { value: 'ጯ', next: null } } },
                U: { value: 'ጩ', next: { a: { value: 'ጯ', next: null }, A: { value: 'ጯ', next: null } } },
                i: { value: 'ጪ', next: { e: { value: 'ጬ', next: null }, E: { value: 'ጬ', next: null } } },
                I: { value: 'ጪ', next: { e: { value: 'ጬ', next: null }, E: { value: 'ጬ', next: null } } },
                a: { value: 'ጫ', next: null },
                A: { value: 'ጫ', next: null },
                o: { value: 'ጮ', next: { a: { value: 'ⶐ', next: null }, A: { value: 'ⶐ', next: null } } },
                O: { value: 'ጮ', next: { a: { value: 'ⶐ', next: null }, A: { value: 'ⶐ', next: null } } },
                C: {
                    value: 'ⶽ',
                    next: {
                        e: { value: 'ⶸ', next: null },
                        E: { value: 'ⶸ', next: null },
                        u: { value: 'ⶹ', next: null },
                        U: { value: 'ⶹ', next: null },
                        i: { value: 'ⶺ', next: { e: { value: 'ⶼ', next: null }, E: { value: 'ⶼ', next: null } } },
                        I: { value: 'ⶺ', next: { e: { value: 'ⶼ', next: null }, E: { value: 'ⶼ', next: null } } },
                        a: { value: 'ⶻ', next: null },
                        A: { value: 'ⶻ', next: null },
                        o: { value: 'ⶾ', next: null },
                        O: { value: 'ⶾ', next: null },
                    },
                },
            },
        },
        P: {
            value: 'ጵ',
            next: {
                e: { value: 'ጰ', next: null },
                E: { value: 'ጰ', next: null },
                u: { value: 'ጱ', next: { a: { value: 'ጷ', next: null }, A: { value: 'ጷ', next: null } } },
                U: { value: 'ጱ', next: { a: { value: 'ጷ', next: null }, A: { value: 'ጷ', next: null } } },
                i: { value: 'ጲ', next: { e: { value: 'ጴ', next: null }, E: { value: 'ጴ', next: null } } },
                I: { value: 'ጲ', next: { e: { value: 'ጴ', next: null }, E: { value: 'ጴ', next: null } } },
                a: { value: 'ጳ', next: null },
                A: { value: 'ጳ', next: null },
                o: { value: 'ጶ', next: { a: { value: 'ⶑ', next: null }, A: { value: 'ⶑ', next: null } } },
                O: { value: 'ጶ', next: { a: { value: 'ⶑ', next: null }, A: { value: 'ⶑ', next: null } } },
            },
        },
        S: {
            value: 'ጽ',
            next: {
                e: { value: 'ጸ', next: null },
                E: { value: 'ጸ', next: null },
                u: { value: 'ጹ', next: { a: { value: 'ጿ', next: null }, A: { value: 'ጿ', next: null } } },
                U: { value: 'ጹ', next: { a: { value: 'ጿ', next: null }, A: { value: 'ጿ', next: null } } },
                i: { value: 'ጺ', next: { e: { value: 'ጼ', next: null }, E: { value: 'ጼ', next: null } } },
                I: { value: 'ጺ', next: { e: { value: 'ጼ', next: null }, E: { value: 'ጼ', next: null } } },
                a: { value: 'ጻ', next: null },
                A: { value: 'ጻ', next: null },
                o: { value: 'ጾ', next: null },
                O: { value: 'ጾ', next: null },
                S: {
                    value: 'ፅ',
                    next: {
                        e: { value: 'ፀ', next: null },
                        E: { value: 'ፀ', next: null },
                        u: { value: 'ፁ', next: null },
                        U: { value: 'ፁ', next: null },
                        i: { value: 'ፂ', next: { e: { value: 'ፄ', next: null }, E: { value: 'ፄ', next: null } } },
                        I: { value: 'ፂ', next: { e: { value: 'ፄ', next: null }, E: { value: 'ፄ', next: null } } },
                        a: { value: 'ፃ', next: null },
                        A: { value: 'ፃ', next: null },
                        o: { value: 'ፆ', next: { a: { value: 'ፇ', next: null }, A: { value: 'ፇ', next: null } } },
                        O: { value: 'ፆ', next: { a: { value: 'ፇ', next: null }, A: { value: 'ፇ', next: null } } },
                    },
                },
            },
        },
        f: {
            value: 'ፍ',
            next: {
                e: { value: 'ፈ', next: null },
                E: { value: 'ፈ', next: null },
                u: {
                    value: 'ፉ',
                    next: {
                        e: { value: 'ᎈ', next: null },
                        E: { value: 'ᎈ', next: null },
                        u: { value: 'ᎉ', next: null },
                        U: { value: 'ᎉ', next: null },
                        i: { value: 'ᎋ', next: { e: { value: 'ᎊ', next: null }, E: { value: 'ᎊ', next: null } } },
                        I: { value: 'ᎋ', next: { e: { value: 'ᎊ', next: null }, E: { value: 'ᎊ', next: null } } },
                        a: { value: 'ፏ', next: null },
                        A: { value: 'ፏ', next: null },
                    },
                },
                U: {
                    value: 'ፉ',
                    next: {
                        e: { value: 'ᎈ', next: null },
                        E: { value: 'ᎈ', next: null },
                        u: { value: 'ᎉ', next: null },
                        U: { value: 'ᎉ', next: null },
                        i: { value: 'ᎋ', next: { e: { value: 'ᎊ', next: null }, E: { value: 'ᎊ', next: null } } },
                        I: { value: 'ᎋ', next: { e: { value: 'ᎊ', next: null }, E: { value: 'ᎊ', next: null } } },
                        a: { value: 'ፏ', next: null },
                        A: { value: 'ፏ', next: null },
                    },
                },
                i: { value: 'ፊ', next: { e: { value: 'ፌ', next: null }, E: { value: 'ፌ', next: null } } },
                I: { value: 'ፊ', next: { e: { value: 'ፌ', next: null }, E: { value: 'ፌ', next: null } } },
                a: { value: 'ፋ', next: null },
                A: { value: 'ፋ', next: null },
                o: { value: 'ፎ', next: null },
                O: { value: 'ፎ', next: null },
                Y: { value: 'ፚ', next: null },
            },
        },
        F: {
            value: 'ፍ',
            next: {
                e: { value: 'ፈ', next: null },
                E: { value: 'ፈ', next: null },
                u: {
                    value: 'ፉ',
                    next: {
                        e: { value: 'ᎈ', next: null },
                        E: { value: 'ᎈ', next: null },
                        u: { value: 'ᎉ', next: null },
                        U: { value: 'ᎉ', next: null },
                        i: { value: 'ᎋ', next: { e: { value: 'ᎊ', next: null }, E: { value: 'ᎊ', next: null } } },
                        I: { value: 'ᎋ', next: { e: { value: 'ᎊ', next: null }, E: { value: 'ᎊ', next: null } } },
                        a: { value: 'ፏ', next: null },
                        A: { value: 'ፏ', next: null },
                    },
                },
                U: {
                    value: 'ፉ',
                    next: {
                        e: { value: 'ᎈ', next: null },
                        E: { value: 'ᎈ', next: null },
                        u: { value: 'ᎉ', next: null },
                        U: { value: 'ᎉ', next: null },
                        i: { value: 'ᎋ', next: { e: { value: 'ᎊ', next: null }, E: { value: 'ᎊ', next: null } } },
                        I: { value: 'ᎋ', next: { e: { value: 'ᎊ', next: null }, E: { value: 'ᎊ', next: null } } },
                        a: { value: 'ፏ', next: null },
                        A: { value: 'ፏ', next: null },
                    },
                },
                i: { value: 'ፊ', next: { e: { value: 'ፌ', next: null }, E: { value: 'ፌ', next: null } } },
                I: { value: 'ፊ', next: { e: { value: 'ፌ', next: null }, E: { value: 'ፌ', next: null } } },
                a: { value: 'ፋ', next: null },
                A: { value: 'ፋ', next: null },
                o: { value: 'ፎ', next: null },
                O: { value: 'ፎ', next: null },
                Y: { value: 'ፚ', next: null },
            },
        },
        p: {
            value: 'ፕ',
            next: {
                e: { value: 'ፐ', next: null },
                E: { value: 'ፐ', next: null },
                u: {
                    value: 'ፑ',
                    next: {
                        e: { value: 'ᎌ', next: null },
                        E: { value: 'ᎌ', next: null },
                        u: { value: 'ᎍ', next: null },
                        U: { value: 'ᎍ', next: null },
                        i: { value: 'ᎏ', next: { e: { value: 'ᎎ', next: null }, E: { value: 'ᎎ', next: null } } },
                        I: { value: 'ᎏ', next: { e: { value: 'ᎎ', next: null }, E: { value: 'ᎎ', next: null } } },
                        a: { value: 'ፗ', next: null },
                        A: { value: 'ፗ', next: null },
                    },
                },
                U: {
                    value: 'ፑ',
                    next: {
                        e: { value: 'ᎌ', next: null },
                        E: { value: 'ᎌ', next: null },
                        u: { value: 'ᎍ', next: null },
                        U: { value: 'ᎍ', next: null },
                        i: { value: 'ᎏ', next: { e: { value: 'ᎎ', next: null }, E: { value: 'ᎎ', next: null } } },
                        I: { value: 'ᎏ', next: { e: { value: 'ᎎ', next: null }, E: { value: 'ᎎ', next: null } } },
                        a: { value: 'ፗ', next: null },
                        A: { value: 'ፗ', next: null },
                    },
                },
                i: { value: 'ፒ', next: { e: { value: 'ፔ', next: null }, E: { value: 'ፔ', next: null } } },
                I: { value: 'ፒ', next: { e: { value: 'ፔ', next: null }, E: { value: 'ፔ', next: null } } },
                a: { value: 'ፓ', next: null },
                A: { value: 'ፓ', next: null },
                o: { value: 'ፖ', next: { a: { value: 'ⶒ', next: null }, A: { value: 'ⶒ', next: null } } },
                O: { value: 'ፖ', next: { a: { value: 'ⶒ', next: null }, A: { value: 'ⶒ', next: null } } },
            },
        },
        e: { value: 'እ', next: null },
        i: { value: 'ኢ', next: { e: { value: 'ኤ', next: null }, E: { value: 'ኤ', next: null } } },
        o: { value: 'ኦ', next: null },
        u: { value: 'ኡ', next: null },
        E: { value: 'ዕ', next: null },
        I: { value: 'ዒ', next: { e: { value: 'ዔ', next: null }, E: { value: 'ዔ', next: null } } },
        O: { value: 'ዖ', next: null },
        U: { value: 'ዑ', next: null },
        ':': {
            value: '፡',
            next: { ':': { value: '።', next: { ':': { value: ':', next: null } } }, ',': { value: '፥', next: null } },
        },
        ',': { value: '፣', next: { ',': { value: '፥', next: { ',': { value: ',', next: null } } } } },
        ';': { value: '፤', next: { ';': { value: ';', next: null } } },
        '<': { value: '‹', next: { '<': { value: '«', next: { '<': { value: '<', next: null } } } } },
        '>': { value: '›', next: { '>': { value: '»', next: { '>': { value: '>', next: null } } } } },
    },
};
exports.default = inputMethod;
