"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var inputMethod = {
    meta: { name: 'Bench', regions: ['bcq-ET'] },
    inputMethod: {
        h: {
            value: 'ህ',
            next: {
                e: { value: 'ሀ', next: null },
                E: { value: 'ሀ', next: null },
                u: { value: 'ሁ', next: null },
                U: { value: 'ሁ', next: null },
                i: { value: 'ሂ', next: { e: { value: 'ሄ', next: null }, E: { value: 'ሄ', next: null } } },
                I: { value: 'ሂ', next: { e: { value: 'ሄ', next: null }, E: { value: 'ሄ', next: null } } },
                a: { value: 'ሃ', next: null },
                A: { value: 'ሃ', next: null },
                o: { value: 'ሆ', next: null },
                O: { value: 'ሆ', next: null },
            },
        },
        l: {
            value: 'ል',
            next: {
                u: { value: 'ሉ', next: null },
                U: { value: 'ሉ', next: null },
                i: { value: 'ሊ', next: { e: { value: 'ሌ', next: null }, E: { value: 'ሌ', next: null } } },
                I: { value: 'ሊ', next: { e: { value: 'ሌ', next: null }, E: { value: 'ሌ', next: null } } },
                a: { value: 'ላ', next: null },
                A: { value: 'ላ', next: null },
                o: { value: 'ሎ', next: null },
                O: { value: 'ሎ', next: null },
            },
        },
        L: {
            value: 'ል',
            next: {
                u: { value: 'ሉ', next: null },
                U: { value: 'ሉ', next: null },
                i: { value: 'ሊ', next: { e: { value: 'ሌ', next: null }, E: { value: 'ሌ', next: null } } },
                I: { value: 'ሊ', next: { e: { value: 'ሌ', next: null }, E: { value: 'ሌ', next: null } } },
                a: { value: 'ላ', next: null },
                A: { value: 'ላ', next: null },
                o: { value: 'ሎ', next: null },
                O: { value: 'ሎ', next: null },
            },
        },
        H: {
            value: 'ሕ',
            next: {
                u: { value: 'ሑ', next: null },
                U: { value: 'ሑ', next: null },
                i: { value: 'ሒ', next: { e: { value: 'ሔ', next: null }, E: { value: 'ሔ', next: null } } },
                I: { value: 'ሒ', next: { e: { value: 'ሔ', next: null }, E: { value: 'ሔ', next: null } } },
                a: { value: 'ሓ', next: null },
                A: { value: 'ሓ', next: null },
                o: { value: 'ሖ', next: null },
                O: { value: 'ሖ', next: null },
            },
        },
        m: {
            value: 'ም',
            next: {
                u: { value: 'ሙ', next: null },
                U: { value: 'ሙ', next: null },
                i: { value: 'ሚ', next: { e: { value: 'ሜ', next: null }, E: { value: 'ሜ', next: null } } },
                I: { value: 'ሚ', next: { e: { value: 'ሜ', next: null }, E: { value: 'ሜ', next: null } } },
                a: { value: 'ማ', next: null },
                A: { value: 'ማ', next: null },
                o: { value: 'ሞ', next: null },
                O: { value: 'ሞ', next: null },
            },
        },
        M: {
            value: 'ም',
            next: {
                u: { value: 'ሙ', next: null },
                U: { value: 'ሙ', next: null },
                i: { value: 'ሚ', next: { e: { value: 'ሜ', next: null }, E: { value: 'ሜ', next: null } } },
                I: { value: 'ሚ', next: { e: { value: 'ሜ', next: null }, E: { value: 'ሜ', next: null } } },
                a: { value: 'ማ', next: null },
                A: { value: 'ማ', next: null },
                o: { value: 'ሞ', next: null },
                O: { value: 'ሞ', next: null },
            },
        },
        s: {
            value: 'ስ',
            next: {
                u: { value: 'ሱ', next: null },
                U: { value: 'ሱ', next: null },
                i: { value: 'ሲ', next: { e: { value: 'ሴ', next: null }, E: { value: 'ሴ', next: null } } },
                I: { value: 'ሲ', next: { e: { value: 'ሴ', next: null }, E: { value: 'ሴ', next: null } } },
                a: { value: 'ሳ', next: null },
                A: { value: 'ሳ', next: null },
                o: { value: 'ሶ', next: null },
                O: { value: 'ሶ', next: null },
            },
        },
        r: {
            value: 'ር',
            next: {
                u: { value: 'ሩ', next: null },
                U: { value: 'ሩ', next: null },
                i: { value: 'ሪ', next: { e: { value: 'ሬ', next: null }, E: { value: 'ሬ', next: null } } },
                I: { value: 'ሪ', next: { e: { value: 'ሬ', next: null }, E: { value: 'ሬ', next: null } } },
                a: { value: 'ራ', next: null },
                A: { value: 'ራ', next: null },
                o: { value: 'ሮ', next: null },
                O: { value: 'ሮ', next: null },
            },
        },
        R: {
            value: 'ር',
            next: {
                u: { value: 'ሩ', next: null },
                U: { value: 'ሩ', next: null },
                i: { value: 'ሪ', next: { e: { value: 'ሬ', next: null }, E: { value: 'ሬ', next: null } } },
                I: { value: 'ሪ', next: { e: { value: 'ሬ', next: null }, E: { value: 'ሬ', next: null } } },
                a: { value: 'ራ', next: null },
                A: { value: 'ራ', next: null },
                o: { value: 'ሮ', next: null },
                O: { value: 'ሮ', next: null },
            },
        },
        x: {
            value: 'ሽ',
            next: {
                u: { value: 'ሹ', next: null },
                U: { value: 'ሹ', next: null },
                i: { value: 'ሺ', next: { e: { value: 'ሼ', next: null }, E: { value: 'ሼ', next: null } } },
                I: { value: 'ሺ', next: { e: { value: 'ሼ', next: null }, E: { value: 'ሼ', next: null } } },
                a: { value: 'ሻ', next: null },
                A: { value: 'ሻ', next: null },
                o: { value: 'ሾ', next: null },
                O: { value: 'ሾ', next: null },
                x: {
                    value: 'ⶥ',
                    next: {
                        u: { value: 'ⶡ', next: null },
                        U: { value: 'ⶡ', next: null },
                        i: { value: 'ⶢ', next: { e: { value: 'ⶤ', next: null }, E: { value: 'ⶤ', next: null } } },
                        I: { value: 'ⶢ', next: { e: { value: 'ⶤ', next: null }, E: { value: 'ⶤ', next: null } } },
                        a: { value: 'ⶣ', next: null },
                        A: { value: 'ⶣ', next: null },
                        o: { value: 'ⶦ', next: null },
                        O: { value: 'ⶦ', next: null },
                    },
                },
                X: {
                    value: 'ⶥ',
                    next: {
                        u: { value: 'ⶡ', next: null },
                        U: { value: 'ⶡ', next: null },
                        i: { value: 'ⶢ', next: { e: { value: 'ⶤ', next: null }, E: { value: 'ⶤ', next: null } } },
                        I: { value: 'ⶢ', next: { e: { value: 'ⶤ', next: null }, E: { value: 'ⶤ', next: null } } },
                        a: { value: 'ⶣ', next: null },
                        A: { value: 'ⶣ', next: null },
                        o: { value: 'ⶦ', next: null },
                        O: { value: 'ⶦ', next: null },
                    },
                },
            },
        },
        X: {
            value: 'ሽ',
            next: {
                u: { value: 'ሹ', next: null },
                U: { value: 'ሹ', next: null },
                i: { value: 'ሺ', next: { e: { value: 'ሼ', next: null }, E: { value: 'ሼ', next: null } } },
                I: { value: 'ሺ', next: { e: { value: 'ሼ', next: null }, E: { value: 'ሼ', next: null } } },
                a: { value: 'ሻ', next: null },
                A: { value: 'ሻ', next: null },
                o: { value: 'ሾ', next: null },
                O: { value: 'ሾ', next: null },
                x: {
                    value: 'ⶥ',
                    next: {
                        u: { value: 'ⶡ', next: null },
                        U: { value: 'ⶡ', next: null },
                        i: { value: 'ⶢ', next: { e: { value: 'ⶤ', next: null }, E: { value: 'ⶤ', next: null } } },
                        I: { value: 'ⶢ', next: { e: { value: 'ⶤ', next: null }, E: { value: 'ⶤ', next: null } } },
                        a: { value: 'ⶣ', next: null },
                        A: { value: 'ⶣ', next: null },
                        o: { value: 'ⶦ', next: null },
                        O: { value: 'ⶦ', next: null },
                    },
                },
                X: {
                    value: 'ⶥ',
                    next: {
                        u: { value: 'ⶡ', next: null },
                        U: { value: 'ⶡ', next: null },
                        i: { value: 'ⶢ', next: { e: { value: 'ⶤ', next: null }, E: { value: 'ⶤ', next: null } } },
                        I: { value: 'ⶢ', next: { e: { value: 'ⶤ', next: null }, E: { value: 'ⶤ', next: null } } },
                        a: { value: 'ⶣ', next: null },
                        A: { value: 'ⶣ', next: null },
                        o: { value: 'ⶦ', next: null },
                        O: { value: 'ⶦ', next: null },
                    },
                },
            },
        },
        q: {
            value: 'ቅ',
            next: {
                u: { value: 'ቁ', next: null },
                U: { value: 'ቁ', next: null },
                i: { value: 'ቂ', next: { e: { value: 'ቄ', next: null }, E: { value: 'ቄ', next: null } } },
                I: { value: 'ቂ', next: { e: { value: 'ቄ', next: null }, E: { value: 'ቄ', next: null } } },
                a: { value: 'ቃ', next: null },
                A: { value: 'ቃ', next: null },
                o: { value: 'ቆ', next: null },
                O: { value: 'ቆ', next: null },
            },
        },
        Q: {
            value: 'ቅ',
            next: {
                u: { value: 'ቁ', next: null },
                U: { value: 'ቁ', next: null },
                i: { value: 'ቂ', next: { e: { value: 'ቄ', next: null }, E: { value: 'ቄ', next: null } } },
                I: { value: 'ቂ', next: { e: { value: 'ቄ', next: null }, E: { value: 'ቄ', next: null } } },
                a: { value: 'ቃ', next: null },
                A: { value: 'ቃ', next: null },
                o: { value: 'ቆ', next: null },
                O: { value: 'ቆ', next: null },
            },
        },
        b: {
            value: 'ብ',
            next: {
                u: { value: 'ቡ', next: null },
                U: { value: 'ቡ', next: null },
                i: { value: 'ቢ', next: { e: { value: 'ቤ', next: null }, E: { value: 'ቤ', next: null } } },
                I: { value: 'ቢ', next: { e: { value: 'ቤ', next: null }, E: { value: 'ቤ', next: null } } },
                a: { value: 'ባ', next: null },
                A: { value: 'ባ', next: null },
                o: { value: 'ቦ', next: null },
                O: { value: 'ቦ', next: null },
            },
        },
        B: {
            value: 'ብ',
            next: {
                u: { value: 'ቡ', next: null },
                U: { value: 'ቡ', next: null },
                i: { value: 'ቢ', next: { e: { value: 'ቤ', next: null }, E: { value: 'ቤ', next: null } } },
                I: { value: 'ቢ', next: { e: { value: 'ቤ', next: null }, E: { value: 'ቤ', next: null } } },
                a: { value: 'ባ', next: null },
                A: { value: 'ባ', next: null },
                o: { value: 'ቦ', next: null },
                O: { value: 'ቦ', next: null },
            },
        },
        v: {
            value: 'ብ',
            next: {
                u: { value: 'ቡ', next: null },
                U: { value: 'ቡ', next: null },
                i: { value: 'ቢ', next: { e: { value: 'ቤ', next: null }, E: { value: 'ቤ', next: null } } },
                I: { value: 'ቢ', next: { e: { value: 'ቤ', next: null }, E: { value: 'ቤ', next: null } } },
                a: { value: 'ባ', next: null },
                A: { value: 'ባ', next: null },
                o: { value: 'ቦ', next: null },
                O: { value: 'ቦ', next: null },
            },
        },
        V: {
            value: 'ብ',
            next: {
                u: { value: 'ቡ', next: null },
                U: { value: 'ቡ', next: null },
                i: { value: 'ቢ', next: { e: { value: 'ቤ', next: null }, E: { value: 'ቤ', next: null } } },
                I: { value: 'ቢ', next: { e: { value: 'ቤ', next: null }, E: { value: 'ቤ', next: null } } },
                a: { value: 'ባ', next: null },
                A: { value: 'ባ', next: null },
                o: { value: 'ቦ', next: null },
                O: { value: 'ቦ', next: null },
            },
        },
        t: {
            value: 'ት',
            next: {
                u: { value: 'ቱ', next: null },
                U: { value: 'ቱ', next: null },
                i: { value: 'ቲ', next: { e: { value: 'ቴ', next: null }, E: { value: 'ቴ', next: null } } },
                I: { value: 'ቲ', next: { e: { value: 'ቴ', next: null }, E: { value: 'ቴ', next: null } } },
                a: { value: 'ታ', next: null },
                A: { value: 'ታ', next: null },
                o: { value: 'ቶ', next: null },
                O: { value: 'ቶ', next: null },
            },
        },
        c: {
            value: 'ች',
            next: {
                u: { value: 'ቹ', next: null },
                U: { value: 'ቹ', next: null },
                i: { value: 'ቺ', next: { e: { value: 'ቼ', next: null }, E: { value: 'ቼ', next: null } } },
                I: { value: 'ቺ', next: { e: { value: 'ቼ', next: null }, E: { value: 'ቼ', next: null } } },
                a: { value: 'ቻ', next: null },
                A: { value: 'ቻ', next: null },
                o: { value: 'ቾ', next: null },
                O: { value: 'ቾ', next: null },
                c: {
                    value: 'ⶭ',
                    next: {
                        u: { value: 'ⶩ', next: null },
                        U: { value: 'ⶩ', next: null },
                        i: { value: 'ⶪ', next: { e: { value: 'ⶬ', next: null }, E: { value: 'ⶬ', next: null } } },
                        I: { value: 'ⶪ', next: { e: { value: 'ⶬ', next: null }, E: { value: 'ⶬ', next: null } } },
                        a: { value: 'ⶫ', next: null },
                        A: { value: 'ⶫ', next: null },
                        o: { value: 'ⶮ', next: null },
                        O: { value: 'ⶮ', next: null },
                    },
                },
            },
        },
        n: {
            value: 'ን',
            next: {
                u: { value: 'ኑ', next: null },
                U: { value: 'ኑ', next: null },
                i: { value: 'ኒ', next: { e: { value: 'ኔ', next: null }, E: { value: 'ኔ', next: null } } },
                I: { value: 'ኒ', next: { e: { value: 'ኔ', next: null }, E: { value: 'ኔ', next: null } } },
                a: { value: 'ና', next: null },
                A: { value: 'ና', next: null },
                o: { value: 'ኖ', next: null },
                O: { value: 'ኖ', next: null },
            },
        },
        N: {
            value: 'ን',
            next: {
                u: { value: 'ኑ', next: null },
                U: { value: 'ኑ', next: null },
                i: { value: 'ኒ', next: { e: { value: 'ኔ', next: null }, E: { value: 'ኔ', next: null } } },
                I: { value: 'ኒ', next: { e: { value: 'ኔ', next: null }, E: { value: 'ኔ', next: null } } },
                a: { value: 'ና', next: null },
                A: { value: 'ና', next: null },
                o: { value: 'ኖ', next: null },
                O: { value: 'ኖ', next: null },
            },
        },
        a: {
            value: 'አ',
            next: {
                e: { value: 'እ', next: null },
                E: { value: 'እ', next: null },
                u: { value: 'ኡ', next: null },
                U: { value: 'ኡ', next: null },
                i: { value: 'ኢ', next: { e: { value: 'ኤ', next: null }, E: { value: 'ኤ', next: null } } },
                I: { value: 'ኢ', next: { e: { value: 'ኤ', next: null }, E: { value: 'ኤ', next: null } } },
                a: { value: 'ኣ', next: null },
                A: { value: 'ኣ', next: null },
                o: { value: 'ኦ', next: null },
                O: { value: 'ኦ', next: null },
            },
        },
        k: {
            value: 'ክ',
            next: {
                u: { value: 'ኩ', next: null },
                U: { value: 'ኩ', next: null },
                i: { value: 'ኪ', next: { e: { value: 'ኬ', next: null }, E: { value: 'ኬ', next: null } } },
                I: { value: 'ኪ', next: { e: { value: 'ኬ', next: null }, E: { value: 'ኬ', next: null } } },
                a: { value: 'ካ', next: null },
                A: { value: 'ካ', next: null },
                o: { value: 'ኮ', next: null },
                O: { value: 'ኮ', next: null },
            },
        },
        K: {
            value: 'ክ',
            next: {
                u: { value: 'ኩ', next: null },
                U: { value: 'ኩ', next: null },
                i: { value: 'ኪ', next: { e: { value: 'ኬ', next: null }, E: { value: 'ኬ', next: null } } },
                I: { value: 'ኪ', next: { e: { value: 'ኬ', next: null }, E: { value: 'ኬ', next: null } } },
                a: { value: 'ካ', next: null },
                A: { value: 'ካ', next: null },
                o: { value: 'ኮ', next: null },
                O: { value: 'ኮ', next: null },
            },
        },
        w: {
            value: 'ው',
            next: {
                u: { value: 'ዉ', next: null },
                U: { value: 'ዉ', next: null },
                i: { value: 'ዊ', next: { e: { value: 'ዌ', next: null }, E: { value: 'ዌ', next: null } } },
                I: { value: 'ዊ', next: { e: { value: 'ዌ', next: null }, E: { value: 'ዌ', next: null } } },
                a: { value: 'ዋ', next: null },
                A: { value: 'ዋ', next: null },
                o: { value: 'ዎ', next: null },
                O: { value: 'ዎ', next: null },
            },
        },
        W: {
            value: 'ው',
            next: {
                u: { value: 'ዉ', next: null },
                U: { value: 'ዉ', next: null },
                i: { value: 'ዊ', next: { e: { value: 'ዌ', next: null }, E: { value: 'ዌ', next: null } } },
                I: { value: 'ዊ', next: { e: { value: 'ዌ', next: null }, E: { value: 'ዌ', next: null } } },
                a: { value: 'ዋ', next: null },
                A: { value: 'ዋ', next: null },
                o: { value: 'ዎ', next: null },
                O: { value: 'ዎ', next: null },
            },
        },
        z: {
            value: 'ዝ',
            next: {
                u: { value: 'ዙ', next: null },
                U: { value: 'ዙ', next: null },
                i: { value: 'ዚ', next: { e: { value: 'ዜ', next: null }, E: { value: 'ዜ', next: null } } },
                I: { value: 'ዚ', next: { e: { value: 'ዜ', next: null }, E: { value: 'ዜ', next: null } } },
                a: { value: 'ዛ', next: null },
                A: { value: 'ዛ', next: null },
                o: { value: 'ዞ', next: null },
                O: { value: 'ዞ', next: null },
            },
        },
        Z: {
            value: 'ዥ',
            next: {
                u: { value: 'ዡ', next: null },
                U: { value: 'ዡ', next: null },
                i: { value: 'ዢ', next: { e: { value: 'ዤ', next: null }, E: { value: 'ዤ', next: null } } },
                I: { value: 'ዢ', next: { e: { value: 'ዤ', next: null }, E: { value: 'ዤ', next: null } } },
                a: { value: 'ዣ', next: null },
                A: { value: 'ዣ', next: null },
                o: { value: 'ዦ', next: null },
                O: { value: 'ዦ', next: null },
                Z: {
                    value: 'ⶵ',
                    next: {
                        u: { value: 'ⶱ', next: null },
                        U: { value: 'ⶱ', next: null },
                        i: { value: 'ⶲ', next: { e: { value: 'ⶴ', next: null }, E: { value: 'ⶴ', next: null } } },
                        I: { value: 'ⶲ', next: { e: { value: 'ⶴ', next: null }, E: { value: 'ⶴ', next: null } } },
                        a: { value: 'ⶳ', next: null },
                        A: { value: 'ⶳ', next: null },
                        o: { value: 'ⶶ', next: null },
                        O: { value: 'ⶶ', next: null },
                    },
                },
            },
        },
        y: {
            value: 'ይ',
            next: {
                u: { value: 'ዩ', next: null },
                U: { value: 'ዩ', next: null },
                i: { value: 'ዪ', next: { e: { value: 'ዬ', next: null }, E: { value: 'ዬ', next: null } } },
                I: { value: 'ዪ', next: { e: { value: 'ዬ', next: null }, E: { value: 'ዬ', next: null } } },
                a: { value: 'ያ', next: null },
                A: { value: 'ያ', next: null },
                o: { value: 'ዮ', next: null },
                O: { value: 'ዮ', next: null },
            },
        },
        Y: {
            value: 'ይ',
            next: {
                u: { value: 'ዩ', next: null },
                U: { value: 'ዩ', next: null },
                i: { value: 'ዪ', next: { e: { value: 'ዬ', next: null }, E: { value: 'ዬ', next: null } } },
                I: { value: 'ዪ', next: { e: { value: 'ዬ', next: null }, E: { value: 'ዬ', next: null } } },
                a: { value: 'ያ', next: null },
                A: { value: 'ያ', next: null },
                o: { value: 'ዮ', next: null },
                O: { value: 'ዮ', next: null },
            },
        },
        d: {
            value: 'ድ',
            next: {
                u: { value: 'ዱ', next: null },
                U: { value: 'ዱ', next: null },
                i: { value: 'ዲ', next: { e: { value: 'ዴ', next: null }, E: { value: 'ዴ', next: null } } },
                I: { value: 'ዲ', next: { e: { value: 'ዴ', next: null }, E: { value: 'ዴ', next: null } } },
                a: { value: 'ዳ', next: null },
                A: { value: 'ዳ', next: null },
                o: { value: 'ዶ', next: null },
                O: { value: 'ዶ', next: null },
            },
        },
        D: {
            value: 'ድ',
            next: {
                u: { value: 'ዱ', next: null },
                U: { value: 'ዱ', next: null },
                i: { value: 'ዲ', next: { e: { value: 'ዴ', next: null }, E: { value: 'ዴ', next: null } } },
                I: { value: 'ዲ', next: { e: { value: 'ዴ', next: null }, E: { value: 'ዴ', next: null } } },
                a: { value: 'ዳ', next: null },
                A: { value: 'ዳ', next: null },
                o: { value: 'ዶ', next: null },
                O: { value: 'ዶ', next: null },
            },
        },
        j: {
            value: 'ጅ',
            next: {
                u: { value: 'ጁ', next: null },
                U: { value: 'ጁ', next: null },
                i: { value: 'ጂ', next: { e: { value: 'ጄ', next: null }, E: { value: 'ጄ', next: null } } },
                I: { value: 'ጂ', next: { e: { value: 'ጄ', next: null }, E: { value: 'ጄ', next: null } } },
                a: { value: 'ጃ', next: null },
                A: { value: 'ጃ', next: null },
                o: { value: 'ጆ', next: null },
                O: { value: 'ጆ', next: null },
            },
        },
        J: {
            value: 'ጅ',
            next: {
                u: { value: 'ጁ', next: null },
                U: { value: 'ጁ', next: null },
                i: { value: 'ጂ', next: { e: { value: 'ጄ', next: null }, E: { value: 'ጄ', next: null } } },
                I: { value: 'ጂ', next: { e: { value: 'ጄ', next: null }, E: { value: 'ጄ', next: null } } },
                a: { value: 'ጃ', next: null },
                A: { value: 'ጃ', next: null },
                o: { value: 'ጆ', next: null },
                O: { value: 'ጆ', next: null },
            },
        },
        g: {
            value: 'ግ',
            next: {
                u: { value: 'ጉ', next: null },
                U: { value: 'ጉ', next: null },
                i: { value: 'ጊ', next: { e: { value: 'ጌ', next: null }, E: { value: 'ጌ', next: null } } },
                I: { value: 'ጊ', next: { e: { value: 'ጌ', next: null }, E: { value: 'ጌ', next: null } } },
                a: { value: 'ጋ', next: null },
                A: { value: 'ጋ', next: null },
                o: { value: 'ጎ', next: null },
                O: { value: 'ጎ', next: null },
            },
        },
        G: {
            value: 'ግ',
            next: {
                u: { value: 'ጉ', next: null },
                U: { value: 'ጉ', next: null },
                i: { value: 'ጊ', next: { e: { value: 'ጌ', next: null }, E: { value: 'ጌ', next: null } } },
                I: { value: 'ጊ', next: { e: { value: 'ጌ', next: null }, E: { value: 'ጌ', next: null } } },
                a: { value: 'ጋ', next: null },
                A: { value: 'ጋ', next: null },
                o: { value: 'ጎ', next: null },
                O: { value: 'ጎ', next: null },
            },
        },
        T: {
            value: 'ጥ',
            next: {
                u: { value: 'ጡ', next: null },
                U: { value: 'ጡ', next: null },
                i: { value: 'ጢ', next: { e: { value: 'ጤ', next: null }, E: { value: 'ጤ', next: null } } },
                I: { value: 'ጢ', next: { e: { value: 'ጤ', next: null }, E: { value: 'ጤ', next: null } } },
                a: { value: 'ጣ', next: null },
                A: { value: 'ጣ', next: null },
                o: { value: 'ጦ', next: null },
                O: { value: 'ጦ', next: null },
            },
        },
        C: {
            value: 'ጭ',
            next: {
                u: { value: 'ጩ', next: null },
                U: { value: 'ጩ', next: null },
                i: { value: 'ጪ', next: { e: { value: 'ጬ', next: null }, E: { value: 'ጬ', next: null } } },
                I: { value: 'ጪ', next: { e: { value: 'ጬ', next: null }, E: { value: 'ጬ', next: null } } },
                a: { value: 'ጫ', next: null },
                A: { value: 'ጫ', next: null },
                o: { value: 'ጮ', next: null },
                O: { value: 'ጮ', next: null },
                C: {
                    value: 'ⶽ',
                    next: {
                        u: { value: 'ⶹ', next: null },
                        U: { value: 'ⶹ', next: null },
                        i: { value: 'ⶺ', next: { e: { value: 'ⶼ', next: null }, E: { value: 'ⶼ', next: null } } },
                        I: { value: 'ⶺ', next: { e: { value: 'ⶼ', next: null }, E: { value: 'ⶼ', next: null } } },
                        a: { value: 'ⶻ', next: null },
                        A: { value: 'ⶻ', next: null },
                        o: { value: 'ⶾ', next: null },
                        O: { value: 'ⶾ', next: null },
                    },
                },
            },
        },
        P: {
            value: 'ጵ',
            next: {
                u: { value: 'ጱ', next: null },
                U: { value: 'ጱ', next: null },
                i: { value: 'ጲ', next: { e: { value: 'ጴ', next: null }, E: { value: 'ጴ', next: null } } },
                I: { value: 'ጲ', next: { e: { value: 'ጴ', next: null }, E: { value: 'ጴ', next: null } } },
                a: { value: 'ጳ', next: null },
                A: { value: 'ጳ', next: null },
                o: { value: 'ጶ', next: null },
                O: { value: 'ጶ', next: null },
            },
        },
        S: {
            value: 'ጽ',
            next: {
                u: { value: 'ጹ', next: null },
                U: { value: 'ጹ', next: null },
                i: { value: 'ጺ', next: { e: { value: 'ጼ', next: null }, E: { value: 'ጼ', next: null } } },
                I: { value: 'ጺ', next: { e: { value: 'ጼ', next: null }, E: { value: 'ጼ', next: null } } },
                a: { value: 'ጻ', next: null },
                A: { value: 'ጻ', next: null },
                o: { value: 'ጾ', next: null },
                O: { value: 'ጾ', next: null },
            },
        },
        p: {
            value: 'ፕ',
            next: {
                u: { value: 'ፑ', next: null },
                U: { value: 'ፑ', next: null },
                i: { value: 'ፒ', next: { e: { value: 'ፔ', next: null }, E: { value: 'ፔ', next: null } } },
                I: { value: 'ፒ', next: { e: { value: 'ፔ', next: null }, E: { value: 'ፔ', next: null } } },
                a: { value: 'ፓ', next: null },
                A: { value: 'ፓ', next: null },
                o: { value: 'ፖ', next: null },
                O: { value: 'ፖ', next: null },
            },
        },
        e: { value: 'እ', next: null },
        i: { value: 'ኢ', next: { e: { value: 'ኤ', next: null }, E: { value: 'ኤ', next: null } } },
        o: { value: 'ኦ', next: null },
        u: { value: 'ኡ', next: null },
        ':': {
            value: '፡',
            next: { ':': { value: '።', next: { ':': { value: ':', next: null } } }, ',': { value: '፥', next: null } },
        },
        ',': { value: '፣', next: { ',': { value: '፥', next: { ',': { value: ',', next: null } } } } },
        ';': { value: '፤', next: { ';': { value: ';', next: null } } },
        '<': { value: '‹', next: { '<': { value: '«', next: { '<': { value: '<', next: null } } } } },
        '>': { value: '›', next: { '>': { value: '»', next: { '>': { value: '>', next: null } } } } },
    },
};
exports.default = inputMethod;
