"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var inputMethod = {
    meta: { name: "Ge'ez", regions: ['gez-ET', 'gez-ER'] },
    inputMethod: {
        h: {
            value: 'ህ',
            next: {
                e: { value: 'ሀ', next: null },
                E: { value: 'ሀ', next: null },
                u: {
                    value: 'ሁ',
                    next: {
                        e: { value: 'ኈ', next: null },
                        E: { value: 'ኈ', next: null },
                        u: { value: 'ኍ', next: null },
                        U: { value: 'ኍ', next: null },
                        i: { value: 'ኊ', next: { e: { value: 'ኌ', next: null }, E: { value: 'ኌ', next: null } } },
                        I: { value: 'ኊ', next: { e: { value: 'ኌ', next: null }, E: { value: 'ኌ', next: null } } },
                        a: { value: 'ኋ', next: null },
                        A: { value: 'ኋ', next: null },
                    },
                },
                U: {
                    value: 'ሁ',
                    next: {
                        e: { value: 'ኈ', next: null },
                        E: { value: 'ኈ', next: null },
                        u: { value: 'ኍ', next: null },
                        U: { value: 'ኍ', next: null },
                        i: { value: 'ኊ', next: { e: { value: 'ኌ', next: null }, E: { value: 'ኌ', next: null } } },
                        I: { value: 'ኊ', next: { e: { value: 'ኌ', next: null }, E: { value: 'ኌ', next: null } } },
                        a: { value: 'ኋ', next: null },
                        A: { value: 'ኋ', next: null },
                    },
                },
                i: { value: 'ሂ', next: { e: { value: 'ሄ', next: null }, E: { value: 'ሄ', next: null } } },
                I: { value: 'ሂ', next: { e: { value: 'ሄ', next: null }, E: { value: 'ሄ', next: null } } },
                a: { value: 'ሃ', next: null },
                A: { value: 'ሃ', next: null },
                o: { value: 'ሆ', next: null },
                O: { value: 'ሆ', next: null },
                h: {
                    value: 'ኅ',
                    next: {
                        e: { value: 'ኀ', next: null },
                        E: { value: 'ኀ', next: null },
                        u: {
                            value: 'ኁ',
                            next: {
                                e: { value: 'ኈ', next: null },
                                E: { value: 'ኈ', next: null },
                                u: { value: 'ኍ', next: null },
                                U: { value: 'ኍ', next: null },
                                i: {
                                    value: 'ኊ',
                                    next: { e: { value: 'ኌ', next: null }, E: { value: 'ኌ', next: null } },
                                },
                                I: {
                                    value: 'ኊ',
                                    next: { e: { value: 'ኌ', next: null }, E: { value: 'ኌ', next: null } },
                                },
                                a: { value: 'ኋ', next: null },
                                A: { value: 'ኋ', next: null },
                            },
                        },
                        U: {
                            value: 'ኁ',
                            next: {
                                e: { value: 'ኈ', next: null },
                                E: { value: 'ኈ', next: null },
                                u: { value: 'ኍ', next: null },
                                U: { value: 'ኍ', next: null },
                                i: {
                                    value: 'ኊ',
                                    next: { e: { value: 'ኌ', next: null }, E: { value: 'ኌ', next: null } },
                                },
                                I: {
                                    value: 'ኊ',
                                    next: { e: { value: 'ኌ', next: null }, E: { value: 'ኌ', next: null } },
                                },
                                a: { value: 'ኋ', next: null },
                                A: { value: 'ኋ', next: null },
                            },
                        },
                        i: { value: 'ኂ', next: { e: { value: 'ኄ', next: null }, E: { value: 'ኄ', next: null } } },
                        I: { value: 'ኂ', next: { e: { value: 'ኄ', next: null }, E: { value: 'ኄ', next: null } } },
                        a: { value: 'ኃ', next: null },
                        A: { value: 'ኃ', next: null },
                        o: { value: 'ኆ', next: null },
                        O: { value: 'ኆ', next: null },
                    },
                },
            },
        },
        l: {
            value: 'ል',
            next: {
                e: { value: 'ለ', next: null },
                E: { value: 'ለ', next: null },
                u: { value: 'ሉ', next: { a: { value: 'ሏ', next: null }, A: { value: 'ሏ', next: null } } },
                U: { value: 'ሉ', next: { a: { value: 'ሏ', next: null }, A: { value: 'ሏ', next: null } } },
                i: { value: 'ሊ', next: { e: { value: 'ሌ', next: null }, E: { value: 'ሌ', next: null } } },
                I: { value: 'ሊ', next: { e: { value: 'ሌ', next: null }, E: { value: 'ሌ', next: null } } },
                a: { value: 'ላ', next: null },
                A: { value: 'ላ', next: null },
                o: { value: 'ሎ', next: null },
                O: { value: 'ሎ', next: null },
            },
        },
        L: {
            value: 'ል',
            next: {
                e: { value: 'ለ', next: null },
                E: { value: 'ለ', next: null },
                u: { value: 'ሉ', next: { a: { value: 'ሏ', next: null }, A: { value: 'ሏ', next: null } } },
                U: { value: 'ሉ', next: { a: { value: 'ሏ', next: null }, A: { value: 'ሏ', next: null } } },
                i: { value: 'ሊ', next: { e: { value: 'ሌ', next: null }, E: { value: 'ሌ', next: null } } },
                I: { value: 'ሊ', next: { e: { value: 'ሌ', next: null }, E: { value: 'ሌ', next: null } } },
                a: { value: 'ላ', next: null },
                A: { value: 'ላ', next: null },
                o: { value: 'ሎ', next: null },
                O: { value: 'ሎ', next: null },
            },
        },
        H: {
            value: 'ሕ',
            next: {
                e: { value: 'ሐ', next: null },
                E: { value: 'ሐ', next: null },
                u: { value: 'ሑ', next: { a: { value: 'ሗ', next: null }, A: { value: 'ሗ', next: null } } },
                U: { value: 'ሑ', next: { a: { value: 'ሗ', next: null }, A: { value: 'ሗ', next: null } } },
                i: { value: 'ሒ', next: { e: { value: 'ሔ', next: null }, E: { value: 'ሔ', next: null } } },
                I: { value: 'ሒ', next: { e: { value: 'ሔ', next: null }, E: { value: 'ሔ', next: null } } },
                a: { value: 'ሓ', next: null },
                A: { value: 'ሓ', next: null },
                o: { value: 'ሖ', next: null },
                O: { value: 'ሖ', next: null },
            },
        },
        m: {
            value: 'ም',
            next: {
                e: { value: 'መ', next: null },
                E: { value: 'መ', next: null },
                u: { value: 'ሙ', next: { a: { value: 'ሟ', next: null }, A: { value: 'ሟ', next: null } } },
                U: { value: 'ሙ', next: { a: { value: 'ሟ', next: null }, A: { value: 'ሟ', next: null } } },
                i: { value: 'ሚ', next: { e: { value: 'ሜ', next: null }, E: { value: 'ሜ', next: null } } },
                I: { value: 'ሚ', next: { e: { value: 'ሜ', next: null }, E: { value: 'ሜ', next: null } } },
                a: { value: 'ማ', next: null },
                A: { value: 'ማ', next: null },
                o: { value: 'ሞ', next: null },
                O: { value: 'ሞ', next: null },
            },
        },
        M: {
            value: 'ም',
            next: {
                e: { value: 'መ', next: null },
                E: { value: 'መ', next: null },
                u: { value: 'ሙ', next: { a: { value: 'ሟ', next: null }, A: { value: 'ሟ', next: null } } },
                U: { value: 'ሙ', next: { a: { value: 'ሟ', next: null }, A: { value: 'ሟ', next: null } } },
                i: { value: 'ሚ', next: { e: { value: 'ሜ', next: null }, E: { value: 'ሜ', next: null } } },
                I: { value: 'ሚ', next: { e: { value: 'ሜ', next: null }, E: { value: 'ሜ', next: null } } },
                a: { value: 'ማ', next: null },
                A: { value: 'ማ', next: null },
                o: { value: 'ሞ', next: null },
                O: { value: 'ሞ', next: null },
            },
        },
        s: {
            value: 'ስ',
            next: {
                e: { value: 'ሰ', next: null },
                E: { value: 'ሰ', next: null },
                u: { value: 'ሱ', next: { a: { value: 'ሷ', next: null }, A: { value: 'ሷ', next: null } } },
                U: { value: 'ሱ', next: { a: { value: 'ሷ', next: null }, A: { value: 'ሷ', next: null } } },
                i: { value: 'ሲ', next: { e: { value: 'ሴ', next: null }, E: { value: 'ሴ', next: null } } },
                I: { value: 'ሲ', next: { e: { value: 'ሴ', next: null }, E: { value: 'ሴ', next: null } } },
                a: { value: 'ሳ', next: null },
                A: { value: 'ሳ', next: null },
                o: { value: 'ሶ', next: null },
                O: { value: 'ሶ', next: null },
            },
        },
        r: {
            value: 'ር',
            next: {
                e: { value: 'ረ', next: null },
                E: { value: 'ረ', next: null },
                u: { value: 'ሩ', next: { a: { value: 'ሯ', next: null }, A: { value: 'ሯ', next: null } } },
                U: { value: 'ሩ', next: { a: { value: 'ሯ', next: null }, A: { value: 'ሯ', next: null } } },
                i: { value: 'ሪ', next: { e: { value: 'ሬ', next: null }, E: { value: 'ሬ', next: null } } },
                I: { value: 'ሪ', next: { e: { value: 'ሬ', next: null }, E: { value: 'ሬ', next: null } } },
                a: { value: 'ራ', next: null },
                A: { value: 'ራ', next: null },
                o: { value: 'ሮ', next: null },
                O: { value: 'ሮ', next: null },
            },
        },
        R: {
            value: 'ር',
            next: {
                e: { value: 'ረ', next: null },
                E: { value: 'ረ', next: null },
                u: { value: 'ሩ', next: { a: { value: 'ሯ', next: null }, A: { value: 'ሯ', next: null } } },
                U: { value: 'ሩ', next: { a: { value: 'ሯ', next: null }, A: { value: 'ሯ', next: null } } },
                i: { value: 'ሪ', next: { e: { value: 'ሬ', next: null }, E: { value: 'ሬ', next: null } } },
                I: { value: 'ሪ', next: { e: { value: 'ሬ', next: null }, E: { value: 'ሬ', next: null } } },
                a: { value: 'ራ', next: null },
                A: { value: 'ራ', next: null },
                o: { value: 'ሮ', next: null },
                O: { value: 'ሮ', next: null },
            },
        },
        q: {
            value: 'ቅ',
            next: {
                e: { value: 'ቀ', next: null },
                E: { value: 'ቀ', next: null },
                u: {
                    value: 'ቁ',
                    next: {
                        e: { value: 'ቈ', next: null },
                        E: { value: 'ቈ', next: null },
                        u: { value: 'ቍ', next: null },
                        U: { value: 'ቍ', next: null },
                        i: { value: 'ቊ', next: { e: { value: 'ቌ', next: null }, E: { value: 'ቌ', next: null } } },
                        I: { value: 'ቊ', next: { e: { value: 'ቌ', next: null }, E: { value: 'ቌ', next: null } } },
                        a: { value: 'ቋ', next: null },
                        A: { value: 'ቋ', next: null },
                    },
                },
                U: {
                    value: 'ቁ',
                    next: {
                        e: { value: 'ቈ', next: null },
                        E: { value: 'ቈ', next: null },
                        u: { value: 'ቍ', next: null },
                        U: { value: 'ቍ', next: null },
                        i: { value: 'ቊ', next: { e: { value: 'ቌ', next: null }, E: { value: 'ቌ', next: null } } },
                        I: { value: 'ቊ', next: { e: { value: 'ቌ', next: null }, E: { value: 'ቌ', next: null } } },
                        a: { value: 'ቋ', next: null },
                        A: { value: 'ቋ', next: null },
                    },
                },
                i: { value: 'ቂ', next: { e: { value: 'ቄ', next: null }, E: { value: 'ቄ', next: null } } },
                I: { value: 'ቂ', next: { e: { value: 'ቄ', next: null }, E: { value: 'ቄ', next: null } } },
                a: { value: 'ቃ', next: null },
                A: { value: 'ቃ', next: null },
                o: { value: 'ቆ', next: null },
                O: { value: 'ቆ', next: null },
            },
        },
        Q: {
            value: 'ቅ',
            next: {
                e: { value: 'ቀ', next: null },
                E: { value: 'ቀ', next: null },
                u: {
                    value: 'ቁ',
                    next: {
                        e: { value: 'ቈ', next: null },
                        E: { value: 'ቈ', next: null },
                        u: { value: 'ቍ', next: null },
                        U: { value: 'ቍ', next: null },
                        i: { value: 'ቊ', next: { e: { value: 'ቌ', next: null }, E: { value: 'ቌ', next: null } } },
                        I: { value: 'ቊ', next: { e: { value: 'ቌ', next: null }, E: { value: 'ቌ', next: null } } },
                        a: { value: 'ቋ', next: null },
                        A: { value: 'ቋ', next: null },
                    },
                },
                U: {
                    value: 'ቁ',
                    next: {
                        e: { value: 'ቈ', next: null },
                        E: { value: 'ቈ', next: null },
                        u: { value: 'ቍ', next: null },
                        U: { value: 'ቍ', next: null },
                        i: { value: 'ቊ', next: { e: { value: 'ቌ', next: null }, E: { value: 'ቌ', next: null } } },
                        I: { value: 'ቊ', next: { e: { value: 'ቌ', next: null }, E: { value: 'ቌ', next: null } } },
                        a: { value: 'ቋ', next: null },
                        A: { value: 'ቋ', next: null },
                    },
                },
                i: { value: 'ቂ', next: { e: { value: 'ቄ', next: null }, E: { value: 'ቄ', next: null } } },
                I: { value: 'ቂ', next: { e: { value: 'ቄ', next: null }, E: { value: 'ቄ', next: null } } },
                a: { value: 'ቃ', next: null },
                A: { value: 'ቃ', next: null },
                o: { value: 'ቆ', next: null },
                O: { value: 'ቆ', next: null },
            },
        },
        b: {
            value: 'ብ',
            next: {
                e: { value: 'በ', next: null },
                E: { value: 'በ', next: null },
                u: { value: 'ቡ', next: { a: { value: 'ቧ', next: null }, A: { value: 'ቧ', next: null } } },
                U: { value: 'ቡ', next: { a: { value: 'ቧ', next: null }, A: { value: 'ቧ', next: null } } },
                i: { value: 'ቢ', next: { e: { value: 'ቤ', next: null }, E: { value: 'ቤ', next: null } } },
                I: { value: 'ቢ', next: { e: { value: 'ቤ', next: null }, E: { value: 'ቤ', next: null } } },
                a: { value: 'ባ', next: null },
                A: { value: 'ባ', next: null },
                o: { value: 'ቦ', next: null },
                O: { value: 'ቦ', next: null },
            },
        },
        B: {
            value: 'ብ',
            next: {
                e: { value: 'በ', next: null },
                E: { value: 'በ', next: null },
                u: { value: 'ቡ', next: { a: { value: 'ቧ', next: null }, A: { value: 'ቧ', next: null } } },
                U: { value: 'ቡ', next: { a: { value: 'ቧ', next: null }, A: { value: 'ቧ', next: null } } },
                i: { value: 'ቢ', next: { e: { value: 'ቤ', next: null }, E: { value: 'ቤ', next: null } } },
                I: { value: 'ቢ', next: { e: { value: 'ቤ', next: null }, E: { value: 'ቤ', next: null } } },
                a: { value: 'ባ', next: null },
                A: { value: 'ባ', next: null },
                o: { value: 'ቦ', next: null },
                O: { value: 'ቦ', next: null },
            },
        },
        t: {
            value: 'ት',
            next: {
                e: { value: 'ተ', next: null },
                E: { value: 'ተ', next: null },
                u: { value: 'ቱ', next: { a: { value: 'ቷ', next: null }, A: { value: 'ቷ', next: null } } },
                U: { value: 'ቱ', next: { a: { value: 'ቷ', next: null }, A: { value: 'ቷ', next: null } } },
                i: { value: 'ቲ', next: { e: { value: 'ቴ', next: null }, E: { value: 'ቴ', next: null } } },
                I: { value: 'ቲ', next: { e: { value: 'ቴ', next: null }, E: { value: 'ቴ', next: null } } },
                a: { value: 'ታ', next: null },
                A: { value: 'ታ', next: null },
                o: { value: 'ቶ', next: null },
                O: { value: 'ቶ', next: null },
            },
        },
        x: {
            value: 'ኅ',
            next: {
                e: { value: 'ኀ', next: null },
                E: { value: 'ኀ', next: null },
                u: {
                    value: 'ኁ',
                    next: {
                        e: { value: 'ኈ', next: null },
                        E: { value: 'ኈ', next: null },
                        u: { value: 'ኍ', next: null },
                        U: { value: 'ኍ', next: null },
                        i: { value: 'ኊ', next: { e: { value: 'ኌ', next: null }, E: { value: 'ኌ', next: null } } },
                        I: { value: 'ኊ', next: { e: { value: 'ኌ', next: null }, E: { value: 'ኌ', next: null } } },
                        a: { value: 'ኋ', next: null },
                        A: { value: 'ኋ', next: null },
                    },
                },
                U: {
                    value: 'ኁ',
                    next: {
                        e: { value: 'ኈ', next: null },
                        E: { value: 'ኈ', next: null },
                        u: { value: 'ኍ', next: null },
                        U: { value: 'ኍ', next: null },
                        i: { value: 'ኊ', next: { e: { value: 'ኌ', next: null }, E: { value: 'ኌ', next: null } } },
                        I: { value: 'ኊ', next: { e: { value: 'ኌ', next: null }, E: { value: 'ኌ', next: null } } },
                        a: { value: 'ኋ', next: null },
                        A: { value: 'ኋ', next: null },
                    },
                },
                i: { value: 'ኂ', next: { e: { value: 'ኄ', next: null }, E: { value: 'ኄ', next: null } } },
                I: { value: 'ኂ', next: { e: { value: 'ኄ', next: null }, E: { value: 'ኄ', next: null } } },
                a: { value: 'ኃ', next: null },
                A: { value: 'ኃ', next: null },
                o: { value: 'ኆ', next: null },
                O: { value: 'ኆ', next: null },
            },
        },
        X: {
            value: 'ኅ',
            next: {
                e: { value: 'ኀ', next: null },
                E: { value: 'ኀ', next: null },
                u: {
                    value: 'ኁ',
                    next: {
                        e: { value: 'ኈ', next: null },
                        E: { value: 'ኈ', next: null },
                        u: { value: 'ኍ', next: null },
                        U: { value: 'ኍ', next: null },
                        i: { value: 'ኊ', next: { e: { value: 'ኌ', next: null }, E: { value: 'ኌ', next: null } } },
                        I: { value: 'ኊ', next: { e: { value: 'ኌ', next: null }, E: { value: 'ኌ', next: null } } },
                        a: { value: 'ኋ', next: null },
                        A: { value: 'ኋ', next: null },
                    },
                },
                U: {
                    value: 'ኁ',
                    next: {
                        e: { value: 'ኈ', next: null },
                        E: { value: 'ኈ', next: null },
                        u: { value: 'ኍ', next: null },
                        U: { value: 'ኍ', next: null },
                        i: { value: 'ኊ', next: { e: { value: 'ኌ', next: null }, E: { value: 'ኌ', next: null } } },
                        I: { value: 'ኊ', next: { e: { value: 'ኌ', next: null }, E: { value: 'ኌ', next: null } } },
                        a: { value: 'ኋ', next: null },
                        A: { value: 'ኋ', next: null },
                    },
                },
                i: { value: 'ኂ', next: { e: { value: 'ኄ', next: null }, E: { value: 'ኄ', next: null } } },
                I: { value: 'ኂ', next: { e: { value: 'ኄ', next: null }, E: { value: 'ኄ', next: null } } },
                a: { value: 'ኃ', next: null },
                A: { value: 'ኃ', next: null },
                o: { value: 'ኆ', next: null },
                O: { value: 'ኆ', next: null },
            },
        },
        n: {
            value: 'ን',
            next: {
                e: { value: 'ነ', next: null },
                E: { value: 'ነ', next: null },
                u: { value: 'ኑ', next: { a: { value: 'ኗ', next: null }, A: { value: 'ኗ', next: null } } },
                U: { value: 'ኑ', next: { a: { value: 'ኗ', next: null }, A: { value: 'ኗ', next: null } } },
                i: { value: 'ኒ', next: { e: { value: 'ኔ', next: null }, E: { value: 'ኔ', next: null } } },
                I: { value: 'ኒ', next: { e: { value: 'ኔ', next: null }, E: { value: 'ኔ', next: null } } },
                a: { value: 'ና', next: null },
                A: { value: 'ና', next: null },
                o: { value: 'ኖ', next: null },
                O: { value: 'ኖ', next: null },
            },
        },
        N: {
            value: 'ን',
            next: {
                e: { value: 'ነ', next: null },
                E: { value: 'ነ', next: null },
                u: { value: 'ኑ', next: { a: { value: 'ኗ', next: null }, A: { value: 'ኗ', next: null } } },
                U: { value: 'ኑ', next: { a: { value: 'ኗ', next: null }, A: { value: 'ኗ', next: null } } },
                i: { value: 'ኒ', next: { e: { value: 'ኔ', next: null }, E: { value: 'ኔ', next: null } } },
                I: { value: 'ኒ', next: { e: { value: 'ኔ', next: null }, E: { value: 'ኔ', next: null } } },
                a: { value: 'ና', next: null },
                A: { value: 'ና', next: null },
                o: { value: 'ኖ', next: null },
                O: { value: 'ኖ', next: null },
            },
        },
        a: {
            value: 'አ',
            next: {
                e: { value: 'እ', next: null },
                E: { value: 'እ', next: null },
                u: { value: 'ኡ', next: null },
                U: { value: 'ኡ', next: null },
                i: { value: 'ኢ', next: { e: { value: 'ኤ', next: null }, E: { value: 'ኤ', next: null } } },
                I: { value: 'ኢ', next: { e: { value: 'ኤ', next: null }, E: { value: 'ኤ', next: null } } },
                a: { value: 'ኣ', next: null },
                A: { value: 'ኣ', next: null },
                o: { value: 'ኦ', next: null },
                O: { value: 'ኦ', next: null },
            },
        },
        k: {
            value: 'ክ',
            next: {
                e: { value: 'ከ', next: null },
                E: { value: 'ከ', next: null },
                u: {
                    value: 'ኩ',
                    next: {
                        e: { value: 'ኰ', next: null },
                        E: { value: 'ኰ', next: null },
                        u: { value: 'ኵ', next: null },
                        U: { value: 'ኵ', next: null },
                        i: { value: 'ኲ', next: { e: { value: 'ኴ', next: null }, E: { value: 'ኴ', next: null } } },
                        I: { value: 'ኲ', next: { e: { value: 'ኴ', next: null }, E: { value: 'ኴ', next: null } } },
                        a: { value: 'ኳ', next: null },
                        A: { value: 'ኳ', next: null },
                    },
                },
                U: {
                    value: 'ኩ',
                    next: {
                        e: { value: 'ኰ', next: null },
                        E: { value: 'ኰ', next: null },
                        u: { value: 'ኵ', next: null },
                        U: { value: 'ኵ', next: null },
                        i: { value: 'ኲ', next: { e: { value: 'ኴ', next: null }, E: { value: 'ኴ', next: null } } },
                        I: { value: 'ኲ', next: { e: { value: 'ኴ', next: null }, E: { value: 'ኴ', next: null } } },
                        a: { value: 'ኳ', next: null },
                        A: { value: 'ኳ', next: null },
                    },
                },
                i: { value: 'ኪ', next: { e: { value: 'ኬ', next: null }, E: { value: 'ኬ', next: null } } },
                I: { value: 'ኪ', next: { e: { value: 'ኬ', next: null }, E: { value: 'ኬ', next: null } } },
                a: { value: 'ካ', next: null },
                A: { value: 'ካ', next: null },
                o: { value: 'ኮ', next: null },
                O: { value: 'ኮ', next: null },
            },
        },
        K: {
            value: 'ክ',
            next: {
                e: { value: 'ከ', next: null },
                E: { value: 'ከ', next: null },
                u: {
                    value: 'ኩ',
                    next: {
                        e: { value: 'ኰ', next: null },
                        E: { value: 'ኰ', next: null },
                        u: { value: 'ኵ', next: null },
                        U: { value: 'ኵ', next: null },
                        i: { value: 'ኲ', next: { e: { value: 'ኴ', next: null }, E: { value: 'ኴ', next: null } } },
                        I: { value: 'ኲ', next: { e: { value: 'ኴ', next: null }, E: { value: 'ኴ', next: null } } },
                        a: { value: 'ኳ', next: null },
                        A: { value: 'ኳ', next: null },
                    },
                },
                U: {
                    value: 'ኩ',
                    next: {
                        e: { value: 'ኰ', next: null },
                        E: { value: 'ኰ', next: null },
                        u: { value: 'ኵ', next: null },
                        U: { value: 'ኵ', next: null },
                        i: { value: 'ኲ', next: { e: { value: 'ኴ', next: null }, E: { value: 'ኴ', next: null } } },
                        I: { value: 'ኲ', next: { e: { value: 'ኴ', next: null }, E: { value: 'ኴ', next: null } } },
                        a: { value: 'ኳ', next: null },
                        A: { value: 'ኳ', next: null },
                    },
                },
                i: { value: 'ኪ', next: { e: { value: 'ኬ', next: null }, E: { value: 'ኬ', next: null } } },
                I: { value: 'ኪ', next: { e: { value: 'ኬ', next: null }, E: { value: 'ኬ', next: null } } },
                a: { value: 'ካ', next: null },
                A: { value: 'ካ', next: null },
                o: { value: 'ኮ', next: null },
                O: { value: 'ኮ', next: null },
            },
        },
        w: {
            value: 'ው',
            next: {
                e: { value: 'ወ', next: null },
                E: { value: 'ወ', next: null },
                u: { value: 'ዉ', next: null },
                U: { value: 'ዉ', next: null },
                i: { value: 'ዊ', next: { e: { value: 'ዌ', next: null }, E: { value: 'ዌ', next: null } } },
                I: { value: 'ዊ', next: { e: { value: 'ዌ', next: null }, E: { value: 'ዌ', next: null } } },
                a: { value: 'ዋ', next: null },
                A: { value: 'ዋ', next: null },
                o: { value: 'ዎ', next: null },
                O: { value: 'ዎ', next: null },
            },
        },
        W: {
            value: 'ው',
            next: {
                e: { value: 'ወ', next: null },
                E: { value: 'ወ', next: null },
                u: { value: 'ዉ', next: null },
                U: { value: 'ዉ', next: null },
                i: { value: 'ዊ', next: { e: { value: 'ዌ', next: null }, E: { value: 'ዌ', next: null } } },
                I: { value: 'ዊ', next: { e: { value: 'ዌ', next: null }, E: { value: 'ዌ', next: null } } },
                a: { value: 'ዋ', next: null },
                A: { value: 'ዋ', next: null },
                o: { value: 'ዎ', next: null },
                O: { value: 'ዎ', next: null },
            },
        },
        A: {
            value: 'ዐ',
            next: {
                e: { value: 'ዕ', next: null },
                E: { value: 'ዕ', next: null },
                u: { value: 'ዑ', next: null },
                U: { value: 'ዑ', next: null },
                i: { value: 'ዒ', next: { e: { value: 'ዔ', next: null }, E: { value: 'ዔ', next: null } } },
                I: { value: 'ዒ', next: { e: { value: 'ዔ', next: null }, E: { value: 'ዔ', next: null } } },
                a: { value: 'ዓ', next: null },
                A: { value: 'ዓ', next: null },
                o: { value: 'ዖ', next: null },
                O: { value: 'ዖ', next: null },
            },
        },
        z: {
            value: 'ዝ',
            next: {
                e: { value: 'ዘ', next: null },
                E: { value: 'ዘ', next: null },
                u: { value: 'ዙ', next: { a: { value: 'ዟ', next: null }, A: { value: 'ዟ', next: null } } },
                U: { value: 'ዙ', next: { a: { value: 'ዟ', next: null }, A: { value: 'ዟ', next: null } } },
                i: { value: 'ዚ', next: { e: { value: 'ዜ', next: null }, E: { value: 'ዜ', next: null } } },
                I: { value: 'ዚ', next: { e: { value: 'ዜ', next: null }, E: { value: 'ዜ', next: null } } },
                a: { value: 'ዛ', next: null },
                A: { value: 'ዛ', next: null },
                o: { value: 'ዞ', next: null },
                O: { value: 'ዞ', next: null },
            },
        },
        Z: {
            value: 'ዝ',
            next: {
                e: { value: 'ዘ', next: null },
                E: { value: 'ዘ', next: null },
                u: { value: 'ዙ', next: { a: { value: 'ዟ', next: null }, A: { value: 'ዟ', next: null } } },
                U: { value: 'ዙ', next: { a: { value: 'ዟ', next: null }, A: { value: 'ዟ', next: null } } },
                i: { value: 'ዚ', next: { e: { value: 'ዜ', next: null }, E: { value: 'ዜ', next: null } } },
                I: { value: 'ዚ', next: { e: { value: 'ዜ', next: null }, E: { value: 'ዜ', next: null } } },
                a: { value: 'ዛ', next: null },
                A: { value: 'ዛ', next: null },
                o: { value: 'ዞ', next: null },
                O: { value: 'ዞ', next: null },
            },
        },
        y: {
            value: 'ይ',
            next: {
                e: { value: 'የ', next: null },
                E: { value: 'የ', next: null },
                u: { value: 'ዩ', next: null },
                U: { value: 'ዩ', next: null },
                i: { value: 'ዪ', next: { e: { value: 'ዬ', next: null }, E: { value: 'ዬ', next: null } } },
                I: { value: 'ዪ', next: { e: { value: 'ዬ', next: null }, E: { value: 'ዬ', next: null } } },
                a: { value: 'ያ', next: null },
                A: { value: 'ያ', next: null },
                o: { value: 'ዮ', next: null },
                O: { value: 'ዮ', next: null },
            },
        },
        Y: {
            value: 'ይ',
            next: {
                e: { value: 'የ', next: null },
                E: { value: 'የ', next: null },
                u: { value: 'ዩ', next: null },
                U: { value: 'ዩ', next: null },
                i: { value: 'ዪ', next: { e: { value: 'ዬ', next: null }, E: { value: 'ዬ', next: null } } },
                I: { value: 'ዪ', next: { e: { value: 'ዬ', next: null }, E: { value: 'ዬ', next: null } } },
                a: { value: 'ያ', next: null },
                A: { value: 'ያ', next: null },
                o: { value: 'ዮ', next: null },
                O: { value: 'ዮ', next: null },
            },
        },
        d: {
            value: 'ድ',
            next: {
                e: { value: 'ደ', next: null },
                E: { value: 'ደ', next: null },
                u: { value: 'ዱ', next: { a: { value: 'ዷ', next: null }, A: { value: 'ዷ', next: null } } },
                U: { value: 'ዱ', next: { a: { value: 'ዷ', next: null }, A: { value: 'ዷ', next: null } } },
                i: { value: 'ዲ', next: { e: { value: 'ዴ', next: null }, E: { value: 'ዴ', next: null } } },
                I: { value: 'ዲ', next: { e: { value: 'ዴ', next: null }, E: { value: 'ዴ', next: null } } },
                a: { value: 'ዳ', next: null },
                A: { value: 'ዳ', next: null },
                o: { value: 'ዶ', next: null },
                O: { value: 'ዶ', next: null },
            },
        },
        g: {
            value: 'ግ',
            next: {
                e: { value: 'ገ', next: null },
                E: { value: 'ገ', next: null },
                u: {
                    value: 'ጉ',
                    next: {
                        e: { value: 'ጐ', next: null },
                        E: { value: 'ጐ', next: null },
                        u: { value: 'ጕ', next: null },
                        U: { value: 'ጕ', next: null },
                        i: { value: 'ጒ', next: { e: { value: 'ጔ', next: null }, E: { value: 'ጔ', next: null } } },
                        I: { value: 'ጒ', next: { e: { value: 'ጔ', next: null }, E: { value: 'ጔ', next: null } } },
                        a: { value: 'ጓ', next: null },
                        A: { value: 'ጓ', next: null },
                    },
                },
                U: {
                    value: 'ጉ',
                    next: {
                        e: { value: 'ጐ', next: null },
                        E: { value: 'ጐ', next: null },
                        u: { value: 'ጕ', next: null },
                        U: { value: 'ጕ', next: null },
                        i: { value: 'ጒ', next: { e: { value: 'ጔ', next: null }, E: { value: 'ጔ', next: null } } },
                        I: { value: 'ጒ', next: { e: { value: 'ጔ', next: null }, E: { value: 'ጔ', next: null } } },
                        a: { value: 'ጓ', next: null },
                        A: { value: 'ጓ', next: null },
                    },
                },
                i: { value: 'ጊ', next: { e: { value: 'ጌ', next: null }, E: { value: 'ጌ', next: null } } },
                I: { value: 'ጊ', next: { e: { value: 'ጌ', next: null }, E: { value: 'ጌ', next: null } } },
                a: { value: 'ጋ', next: null },
                A: { value: 'ጋ', next: null },
                o: { value: 'ጎ', next: null },
                O: { value: 'ጎ', next: null },
            },
        },
        G: {
            value: 'ግ',
            next: {
                e: { value: 'ገ', next: null },
                E: { value: 'ገ', next: null },
                u: {
                    value: 'ጉ',
                    next: {
                        e: { value: 'ጐ', next: null },
                        E: { value: 'ጐ', next: null },
                        u: { value: 'ጕ', next: null },
                        U: { value: 'ጕ', next: null },
                        i: { value: 'ጒ', next: { e: { value: 'ጔ', next: null }, E: { value: 'ጔ', next: null } } },
                        I: { value: 'ጒ', next: { e: { value: 'ጔ', next: null }, E: { value: 'ጔ', next: null } } },
                        a: { value: 'ጓ', next: null },
                        A: { value: 'ጓ', next: null },
                    },
                },
                U: {
                    value: 'ጉ',
                    next: {
                        e: { value: 'ጐ', next: null },
                        E: { value: 'ጐ', next: null },
                        u: { value: 'ጕ', next: null },
                        U: { value: 'ጕ', next: null },
                        i: { value: 'ጒ', next: { e: { value: 'ጔ', next: null }, E: { value: 'ጔ', next: null } } },
                        I: { value: 'ጒ', next: { e: { value: 'ጔ', next: null }, E: { value: 'ጔ', next: null } } },
                        a: { value: 'ጓ', next: null },
                        A: { value: 'ጓ', next: null },
                    },
                },
                i: { value: 'ጊ', next: { e: { value: 'ጌ', next: null }, E: { value: 'ጌ', next: null } } },
                I: { value: 'ጊ', next: { e: { value: 'ጌ', next: null }, E: { value: 'ጌ', next: null } } },
                a: { value: 'ጋ', next: null },
                A: { value: 'ጋ', next: null },
                o: { value: 'ጎ', next: null },
                O: { value: 'ጎ', next: null },
            },
        },
        T: {
            value: 'ጥ',
            next: {
                e: { value: 'ጠ', next: null },
                E: { value: 'ጠ', next: null },
                u: { value: 'ጡ', next: { a: { value: 'ጧ', next: null }, A: { value: 'ጧ', next: null } } },
                U: { value: 'ጡ', next: { a: { value: 'ጧ', next: null }, A: { value: 'ጧ', next: null } } },
                i: { value: 'ጢ', next: { e: { value: 'ጤ', next: null }, E: { value: 'ጤ', next: null } } },
                I: { value: 'ጢ', next: { e: { value: 'ጤ', next: null }, E: { value: 'ጤ', next: null } } },
                a: { value: 'ጣ', next: null },
                A: { value: 'ጣ', next: null },
                o: { value: 'ጦ', next: null },
                O: { value: 'ጦ', next: null },
            },
        },
        P: {
            value: 'ጵ',
            next: {
                e: { value: 'ጰ', next: null },
                E: { value: 'ጰ', next: null },
                u: { value: 'ጱ', next: { a: { value: 'ጷ', next: null }, A: { value: 'ጷ', next: null } } },
                U: { value: 'ጱ', next: { a: { value: 'ጷ', next: null }, A: { value: 'ጷ', next: null } } },
                i: { value: 'ጲ', next: { e: { value: 'ጴ', next: null }, E: { value: 'ጴ', next: null } } },
                I: { value: 'ጲ', next: { e: { value: 'ጴ', next: null }, E: { value: 'ጴ', next: null } } },
                a: { value: 'ጳ', next: null },
                A: { value: 'ጳ', next: null },
                o: { value: 'ጶ', next: null },
                O: { value: 'ጶ', next: null },
            },
        },
        S: {
            value: 'ጽ',
            next: {
                e: { value: 'ጸ', next: null },
                E: { value: 'ጸ', next: null },
                u: { value: 'ጹ', next: { a: { value: 'ጿ', next: null }, A: { value: 'ጿ', next: null } } },
                U: { value: 'ጹ', next: { a: { value: 'ጿ', next: null }, A: { value: 'ጿ', next: null } } },
                i: { value: 'ጺ', next: { e: { value: 'ጼ', next: null }, E: { value: 'ጼ', next: null } } },
                I: { value: 'ጺ', next: { e: { value: 'ጼ', next: null }, E: { value: 'ጼ', next: null } } },
                a: { value: 'ጻ', next: null },
                A: { value: 'ጻ', next: null },
                o: { value: 'ጾ', next: null },
                O: { value: 'ጾ', next: null },
                S: {
                    value: 'ፅ',
                    next: {
                        e: { value: 'ፀ', next: null },
                        E: { value: 'ፀ', next: null },
                        u: { value: 'ፁ', next: null },
                        U: { value: 'ፁ', next: null },
                        i: { value: 'ፂ', next: { e: { value: 'ፄ', next: null }, E: { value: 'ፄ', next: null } } },
                        I: { value: 'ፂ', next: { e: { value: 'ፄ', next: null }, E: { value: 'ፄ', next: null } } },
                        a: { value: 'ፃ', next: null },
                        A: { value: 'ፃ', next: null },
                        o: { value: 'ፆ', next: null },
                        O: { value: 'ፆ', next: null },
                    },
                },
            },
        },
        D: {
            value: 'ፅ',
            next: {
                e: { value: 'ፀ', next: null },
                E: { value: 'ፀ', next: null },
                u: { value: 'ፁ', next: null },
                U: { value: 'ፁ', next: null },
                i: { value: 'ፂ', next: { e: { value: 'ፄ', next: null }, E: { value: 'ፄ', next: null } } },
                I: { value: 'ፂ', next: { e: { value: 'ፄ', next: null }, E: { value: 'ፄ', next: null } } },
                a: { value: 'ፃ', next: null },
                A: { value: 'ፃ', next: null },
                o: { value: 'ፆ', next: null },
                O: { value: 'ፆ', next: null },
            },
        },
        f: {
            value: 'ፍ',
            next: {
                e: { value: 'ፈ', next: null },
                E: { value: 'ፈ', next: null },
                u: { value: 'ፉ', next: { a: { value: 'ፏ', next: null }, A: { value: 'ፏ', next: null } } },
                U: { value: 'ፉ', next: { a: { value: 'ፏ', next: null }, A: { value: 'ፏ', next: null } } },
                i: { value: 'ፊ', next: { e: { value: 'ፌ', next: null }, E: { value: 'ፌ', next: null } } },
                I: { value: 'ፊ', next: { e: { value: 'ፌ', next: null }, E: { value: 'ፌ', next: null } } },
                a: { value: 'ፋ', next: null },
                A: { value: 'ፋ', next: null },
                o: { value: 'ፎ', next: null },
                O: { value: 'ፎ', next: null },
            },
        },
        F: {
            value: 'ፍ',
            next: {
                e: { value: 'ፈ', next: null },
                E: { value: 'ፈ', next: null },
                u: { value: 'ፉ', next: { a: { value: 'ፏ', next: null }, A: { value: 'ፏ', next: null } } },
                U: { value: 'ፉ', next: { a: { value: 'ፏ', next: null }, A: { value: 'ፏ', next: null } } },
                i: { value: 'ፊ', next: { e: { value: 'ፌ', next: null }, E: { value: 'ፌ', next: null } } },
                I: { value: 'ፊ', next: { e: { value: 'ፌ', next: null }, E: { value: 'ፌ', next: null } } },
                a: { value: 'ፋ', next: null },
                A: { value: 'ፋ', next: null },
                o: { value: 'ፎ', next: null },
                O: { value: 'ፎ', next: null },
            },
        },
        p: {
            value: 'ፕ',
            next: {
                e: { value: 'ፐ', next: null },
                E: { value: 'ፐ', next: null },
                u: { value: 'ፑ', next: { a: { value: 'ፗ', next: null }, A: { value: 'ፗ', next: null } } },
                U: { value: 'ፑ', next: { a: { value: 'ፗ', next: null }, A: { value: 'ፗ', next: null } } },
                i: { value: 'ፒ', next: { e: { value: 'ፔ', next: null }, E: { value: 'ፔ', next: null } } },
                I: { value: 'ፒ', next: { e: { value: 'ፔ', next: null }, E: { value: 'ፔ', next: null } } },
                a: { value: 'ፓ', next: null },
                A: { value: 'ፓ', next: null },
                o: { value: 'ፖ', next: null },
                O: { value: 'ፖ', next: null },
            },
        },
        e: { value: 'እ', next: null },
        i: { value: 'ኢ', next: { e: { value: 'ኤ', next: null }, E: { value: 'ኤ', next: null } } },
        o: { value: 'ኦ', next: null },
        u: { value: 'ኡ', next: null },
        E: { value: 'ዕ', next: null },
        I: { value: 'ዒ', next: { e: { value: 'ዔ', next: null }, E: { value: 'ዔ', next: null } } },
        O: { value: 'ዖ', next: null },
        U: { value: 'ዑ', next: null },
        ':': {
            value: '፡',
            next: { ':': { value: '።', next: { ':': { value: ':', next: null } } }, ',': { value: '፥', next: null } },
        },
        ',': { value: '፣', next: { ',': { value: '፥', next: { ',': { value: ',', next: null } } } } },
        ';': { value: '፤', next: { ';': { value: ';', next: null } } },
        '<': { value: '‹', next: { '<': { value: '«', next: { '<': { value: '<', next: null } } } } },
        '>': { value: '›', next: { '>': { value: '»', next: { '>': { value: '>', next: null } } } } },
    },
};
exports.default = inputMethod;
